NEWS

Javascript Adapter rot (out of memory)


  • Most Active

    Vorher vielleicht auch noch node12 installieren:

    curl -sL https://deb.nodesource.com/setup_12.x | sudo -E bash -
    sudo apt update
    sudo apt dist-upgrade
    


  • puuuhhh durchsäht von fehlern

    pi@iobroker:/opt/iobroker $ curl -sL https://deb.nodesource.com/setup_12.x | sud                                                             o -E bash -
    
    ## Installing the NodeSource Node.js 12.x repo...
    
    
    ## Populating apt-get cache...
    
    + apt-get update
    OK:1 http://archive.raspberrypi.org/debian buster InRelease
    Holen:2 http://raspbian.raspberrypi.org/raspbian buster InRelease [15,0 kB]
    Holen:3 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages [13,                                                             0 MB]
    OK:4 https://deb.nodesource.com/node_12.x buster InRelease
    OK:5 https://www.pivccu.de/piVCCU stable InRelease
    Es wurden 13,0 MB in 1 min 6 s geholt (198 kB/s).
    Paketlisten werden gelesen... Fertig
    
    ## Confirming "buster" is supported...
    
    + curl -sLf -o /dev/null 'https://deb.nodesource.com/node_12.x/dists/buster/Rele                                                             ase'
    
    ## Adding the NodeSource signing key to your keyring...
    
    + curl -s https://deb.nodesource.com/gpgkey/nodesource.gpg.key | apt-key add -
    OK
    
    ## Creating apt sources list file for the NodeSource Node.js 12.x repo...
    
    + echo 'deb https://deb.nodesource.com/node_12.x buster main' > /etc/apt/sources                                                             .list.d/nodesource.list
    + echo 'deb-src https://deb.nodesource.com/node_12.x buster main' >> /etc/apt/so                                                             urces.list.d/nodesource.list
    
    ## Running `apt-get update` for you...
    
    + apt-get update
    OK:1 https://deb.nodesource.com/node_12.x buster InRelease
    OK:2 https://www.pivccu.de/piVCCU stable InRelease
    OK:3 http://archive.raspberrypi.org/debian buster InRelease
    OK:4 http://raspbian.raspberrypi.org/raspbian buster InRelease
    Paketlisten werden gelesen... Fertig
    
    ## Run `sudo apt-get install -y nodejs` to install Node.js 12.x and npm
    ## You may also need development tools to build native addons:
         sudo apt-get install gcc g++ make
    ## To install the Yarn package manager, run:
         curl -sL https://dl.yarnpkg.com/debian/pubkey.gpg | sudo apt-key add -
         echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/s                                                             ources.list.d/yarn.list
         sudo apt-get update && sudo apt-get install yarn
    
    
    pi@iobroker:/opt/iobroker $ sudo apt update
    OK:1 http://archive.raspberrypi.org/debian buster InRelease
    OK:2 https://www.pivccu.de/piVCCU stable InRelease
    OK:3 https://deb.nodesource.com/node_12.x buster InRelease
    Fehl:4 http://raspbian.raspberrypi.org/raspbian buster InRelease
      Verbindung mit raspbian.raspberrypi.org:80 kann nicht aufgebaut werden (2a00:1                                                             098:0:80:1000:75:0:3). - connect (101: Das Netzwerk ist nicht erreichbar) Verbin                                                             dung mit raspbian.raspberrypi.org:80 konnte nicht aufgebaut werden (93.93.128.19                                                             3), Zeitüberschreitung aufgetreten
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Aktualisierung für 2 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, u                                                             m sie anzuzeigen.
    W: Fehlschlag beim Holen von http://raspbian.raspberrypi.org/raspbian/dists/bust                                                             er/InRelease Verbindung mit raspbian.raspberrypi.org:80 kann nicht aufgebaut wer                                                             den (2a00:1098:0:80:1000:75:0:3). - connect (101: Das Netzwerk ist nicht erreich                                                             bar) Verbindung mit raspbian.raspberrypi.org:80 konnte nicht aufgebaut werden (9                                                             3.93.128.193), Zeitüberschreitung aufgetreten
    W: Einige Indexdateien konnten nicht heruntergeladen werden. Sie wurden ignorier                                                             t oder alte an ihrer Stelle benutzt.
    pi@iobroker:/opt/iobroker $ sudo apt update
    OK:1 http://archive.raspberrypi.org/debian buster InRelease
    OK:2 https://www.pivccu.de/piVCCU stable InRelease
    OK:3 https://deb.nodesource.com/node_12.x buster InRelease
    OK:4 http://raspbian.raspberrypi.org/raspbian buster InRelease
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Aktualisierung für 2 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, um sie anzuzeigen.
    pi@iobroker:/opt/iobroker $ apt dist-upgrade
    E: Sperrdatei /var/lib/dpkg/lock-frontend konnte nicht geöffnet werden. - open (13: Keine Berechtigung)
    E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
    pi@iobroker:/opt/iobroker $ sudo apt dist-upgrade
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Paketaktualisierung (Upgrade) wird berechnet... Fertig
    Das folgende Paket wurde automatisch installiert und wird nicht mehr benötigt:
      rpi.gpio-common
    Verwenden Sie »sudo apt autoremove«, um es zu entfernen.
    Die folgenden Pakete werden aktualisiert (Upgrade):
      libldap-2.4-2 libldap-common
    2 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
    Es müssen 288 kB an Archiven heruntergeladen werden.
    Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
    Möchten Sie fortfahren? [J/n] j
    Holen:1 http://archive-bm.raspbian.org/raspbian buster/main armhf libldap-common all 2.4.47+dfsg-3+rpi1+deb10u2 [89,8 kB]
    Holen:2 http://archive-bm.raspbian.org/raspbian buster/main armhf libldap-2.4-2 armhf 2.4.47+dfsg-3+rpi1+deb10u2 [198 kB]
    Es wurden 288 kB in 60 s geholt (4.798 B/s).
    Changelogs werden gelesen... Fertig
    (Lese Datenbank ... 117901 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../libldap-common_2.4.47+dfsg-3+rpi1+deb10u2_all.deb ...
    Entpacken von libldap-common (2.4.47+dfsg-3+rpi1+deb10u2) über (2.4.47+dfsg-3+rpi1+deb10u1) ...
    libldap-common (2.4.47+dfsg-3+rpi1+deb10u2) wird eingerichtet ...
    (Lese Datenbank ... 117901 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../libldap-2.4-2_2.4.47+dfsg-3+rpi1+deb10u2_armhf.deb ...
    Entpacken von libldap-2.4-2:armhf (2.4.47+dfsg-3+rpi1+deb10u2) über (2.4.47+dfsg-3+rpi1+deb10u1) ...
    libldap-2.4-2:armhf (2.4.47+dfsg-3+rpi1+deb10u2) wird eingerichtet ...
    Trigger für man-db (2.8.5-2) werden verarbeitet ...
    Trigger für libc-bin (2.28-10+rpi1) werden verarbeitet ...
    pi@iobroker:/opt/iobroker $ iobroker stop
    pi@iobroker:/opt/iobroker $ iobroker fix
    library: loaded
    Library version=2020-04-12
    
    ==========================================================================
    
        Welcome to the ioBroker installation fixer!
        Script version: 2020-04-12
    
        You might need to enter your password a couple of times.
    
    ==========================================================================
    
    
    ==========================================================================
        Installing prerequisites (1/3)
    ==========================================================================
    
    OK:1 https://www.pivccu.de/piVCCU stable InRelease
    OK:2 http://archive.raspberrypi.org/debian buster InRelease
    OK:3 https://deb.nodesource.com/node_12.x buster InRelease
    OK:4 http://raspbian.raspberrypi.org/raspbian buster InRelease
    Paketlisten werden gelesen... Fertig
    Installed gcc-c++
    Installed python-dev
    
    ==========================================================================
        Checking ioBroker user and directory permissions (2/3)
    ==========================================================================
    
    Created /etc/sudoers.d/iobroker
    Fixing directory permissions...
    
    ==========================================================================
        Checking autostart (3/3)
    ==========================================================================
    
    Enabling autostart...
    Autostart enabled!
    
    ==========================================================================
    
        Your installation was fixed successfully
        Run iobroker start to start ioBroker again!
    
    ==========================================================================
    
    pi@iobroker:/opt/iobroker $ iobroker start
    pi@iobroker:/opt/iobroker $ iobroker update
    Used repository: latest
    hash unchanged, use cached sources
    update done
    Adapter    "accuweather"   : 1.1.3
    Adapter    "admin"         : 4.1.1    , installed 4.0.9 [Updateable]
    Adapter    "alarm"         : 0.3.0
    Adapter    "alexa2"        : 3.1.2
    Adapter    "alpha2"        : 1.0.0
    Adapter    "amazon-dash"   : 1.1.0
    Adapter    "artnet"        : 1.2.2
    Adapter    "asterisk"      : 1.0.6
    Adapter    "asuswrt"       : 1.0.1
    Adapter    "b-control-em"  : 0.2.1
    Adapter    "backitup"      : 1.5.6
    Adapter    "beckhoff"      : 1.2.1
    Adapter    "benq"          : 0.2.2
    Adapter    "binance"       : 1.1.2
    Adapter    "ble"           : 0.11.6
    Adapter    "blink4home"    : 0.1.1
    Adapter    "bmw"           : 1.4.0
    Adapter    "boblight"      : 0.0.1
    Adapter    "bosesoundtouch": 0.9.2
    Adapter    "botvac"        : 1.0.0
    Adapter    "bring"         : 1.7.2
    Adapter    "broadlink2"    : 2.0.3
    Adapter    "bsblan"        : 0.0.6
    Adapter    "bshb"          : 0.1.10
    Adapter    "calendar"      : 1.2.0
    Adapter    "chromecast"    : 2.3.1    , installed 2.3.1
    Adapter    "cloud"         : 3.0.3    , installed 3.0.3
    Adapter    "comfoair"      : 1.1.1
    Adapter    "contact"       : 1.1.3
    Adapter    "contactid"     : 1.0.0
    Adapter    "coronavirus-statistics": 0.5.9
    Adapter    "corrently"     : 0.0.2
    Adapter    "countdown"     : 1.1.0
    Adapter    "cul"           : 1.2.1
    Adapter    "daikin"        : 1.0.5
    Adapter    "daswetter"     : 2.8.1    , installed 2.8.1
    Adapter    "deconz"        : 1.3.7
    Adapter    "denon"         : 1.7.7    , installed 1.7.4 [Updateable]
    Adapter    "devices"       : 0.3.6
    Adapter    "digitalstrom"  : 2.0.5
    Adapter    "discovergy"    : 0.5.4
    Adapter    "discovery"     : 2.3.5    , installed 2.2.2 [Updateable]
    Adapter    "doorbird"      : 0.1.5
    Adapter    "ds18b20"       : 1.1.4
    Adapter    "dwd"           : 2.4.8
    Adapter    "ebus"          : 2.0.0
    Adapter    "ecovacs-deebot": 0.5.8
    Adapter    "egigeozone"    : 0.1.2
    Adapter    "ekey"          : 1.1.0
    Adapter    "email"         : 1.0.6
    Adapter    "emby"          : 1.0.2
    Adapter    "energymanager" : 1.2.2
    Adapter    "enet"          : 1.0.1
    Adapter    "epson_stylus_px830": 0.2.1
    Adapter    "exchangerates" : 0.0.12
    Adapter    "fakeroku"      : 0.2.1
    Adapter    "fb-checkpresence": 1.0.1
    Adapter    "feiertage"     : 1.0.19
    Adapter    "fhem"          : 1.4.1
    Adapter    "find-my-iphone": 0.2.17
    Adapter    "firetv"        : 1.0.0
    Adapter    "fitbit-api"    : 0.1.1
    Adapter    "flot"          : 1.9.2
    Adapter    "foobar2000"    : 1.0.0
    Adapter    "fritzbox"      : 0.2.1
    Adapter    "fritzdect"     : 0.3.2
    Adapter    "fronius"       : 1.0.5
    Adapter    "fullcalendar"  : 1.1.0
    Adapter    "fullybrowser"  : 1.0.3
    Adapter    "g-homa"        : 0.5.1
    Adapter    "geofency"      : 0.3.2
    Adapter    "gruenbeck"     : 0.0.18
    Adapter    "habpanel"      : 0.4.1
    Adapter    "haier"         : 1.0.3
    Adapter    "ham"           : 1.1.2
    Adapter    "ham-wemo"      : 1.0.1
    Adapter    "harmony"       : 1.2.2
    Adapter    "hass-mqtt"     : 0.0.7
    Adapter    "heatingcontrol": 0.5.0
    Adapter    "heytech"       : 0.2.0
    Adapter    "hid"           : 0.1.17
    Adapter    "hilink"        : 0.2.7
    Adapter    "history"       : 1.9.6    , installed 1.8.7 [Updateable]
    Adapter    "hm-rega"       : 2.6.6    , installed 2.5.5 [Updateable]
    Adapter    "hm-rpc"        : 1.14.2   , installed 1.12.10 [Updateable]
    Adapter    "hmip"          : 0.0.11
    Adapter    "hombot"        : 0.1.3
    Adapter    "homeconnect"   : 0.0.26
    Adapter    "homee"         : 1.0.5
    Adapter    "homepilot"     : 1.1.4
    Adapter    "hp-ilo"        : 1.0.5
    Adapter    "hs100"         : 1.1.2
    Adapter    "hue"           : 3.2.8
    Adapter    "hue-extended"  : 1.3.2
    Adapter    "hyperion"      : 0.0.9
    Adapter    "i2c"           : 0.0.6
    Adapter    "ical"          : 1.7.0
    Adapter    "icons-addictive-flavour-png": 0.1.0
    Adapter    "icons-fatcow-hosting": 0.1.0
    Adapter    "icons-icons8"  : 0.0.1
    Adapter    "icons-material-png": 0.1.0
    Adapter    "icons-material-svg": 0.1.0
    Adapter    "icons-mfd-png" : 1.0.2
    Adapter    "icons-mfd-svg" : 1.0.2
    Adapter    "icons-open-icon-library-png": 0.1.2
    Adapter    "icons-ultimate-png": 1.0.1
    Adapter    "influxdb"      : 1.8.4
    Adapter    "info"          : 1.7.2    , installed 1.5.6 [Updateable]
    Adapter    "innogy-smarthome": 0.3.4
    Adapter    "intesishome"   : 0.1.2
    Adapter    "iogo"          : 0.5.10
    Adapter    "iot"           : 1.4.14   , installed 1.4.14
    Adapter    "iqontrol"      : 0.3.7
    Adapter    "javascript"    : 4.5.1    , installed 4.5.1
    Adapter    "jeelink"       : 0.1.3
    Controller "js-controller" : 3.0.20   , installed 2.2.9 [Updateable]
    Adapter    "js2fs"         : 0.1.5
    Adapter    "kecontact"     : 0.1.0
    Adapter    "klf200"        : 0.9.5
    Adapter    "km200"         : 2.0.3
    Adapter    "knmi-weather"  : 0.2.0
    Adapter    "knx"           : 1.0.41
    Adapter    "kodi"          : 2.0.2
    Adapter    "kress"         : 2.5.5
    Adapter    "lametric"      : 0.0.7
    Adapter    "landroid"      : 1.0.3
    Adapter    "lcn"           : 0.6.3
    Adapter    "letrika_comgw" : 0.0.5
    Adapter    "lgtv"          : 1.1.6    , installed 1.1.6
    Adapter    "lgtv-rs"       : 0.1.0
    Adapter    "lgtv11"        : 1.0.5
    Adapter    "lifx"          : 0.1.1
    Adapter    "lightify"      : 0.2.16
    Adapter    "link"          : 0.5.9
    Adapter    "linkeddevices" : 1.1.4
    Adapter    "lovelace"      : 1.0.16
    Adapter    "loxone"        : 1.0.0
    Adapter    "luftdaten"     : 0.0.11
    Adapter    "lupusec"       : 1.2.6
    Adapter    "luxtronik1"    : 0.2.3
    Adapter    "material"      : 0.13.8
    Adapter    "maxcube"       : 0.1.2
    Adapter    "maxcul"        : 1.1.2
    Adapter    "mbus"          : 2.2.0
    Adapter    "mclighting"    : 0.1.1
    Adapter    "megad"         : 1.2.1
    Adapter    "megadd"        : 0.2.0
    Adapter    "megaesp"       : 0.1.0
    Adapter    "mercedesme"    : 0.0.21
    Adapter    "mercury"       : 0.1.1
    Adapter    "meross"        : 1.3.13
    Adapter    "meteoalarm"    : 1.1.0
    Adapter    "miele"         : 0.1.5
    Adapter    "mielecloudservice": 1.2.1
    Adapter    "mihome"        : 1.3.0
    Adapter    "mihome-airpurifier": 0.1.7
    Adapter    "mihome-lamp"   : 1.1.0
    Adapter    "mihome-plug"   : 0.2.1
    Adapter    "mihome-vacuum" : 2.0.7    , installed 1.1.5 [Updateable]
    Adapter    "miio"          : 0.0.13
    Adapter    "mikrotik"      : 1.0.12
    Adapter    "milight"       : 0.3.6
    Adapter    "milight-smart-light": 0.4.1
    Adapter    "mobile"        : 0.5.0
    Adapter    "modbus"        : 3.0.0
    Adapter    "moma"          : 1.2.6
    Adapter    "mpd"           : 1.0.5
    Adapter    "mqtt"          : 2.1.1
    Adapter    "mqtt-client"   : 1.3.1
    Adapter    "multicast"     : 0.1.5
    Adapter    "musiccast"     : 0.1.3
    Adapter    "mydlink"       : 1.0.9
    Adapter    "myq"           : 0.1.1
    Adapter    "mysensors"     : 2.0.0
    Adapter    "myvbus"        : 0.0.4
    Adapter    "nanoleaf-lightpanels": 0.8.2
    Adapter    "nello"         : 2.0.8
    Adapter    "netatmo"       : 1.3.1
    Adapter    "nibeuplink"    : 0.3.0
    Adapter    "nina"          : 0.0.23
    Adapter    "node-red"      : 1.17.2
    Adapter    "noolitef"      : 0.0.2
    Adapter    "nuki"          : 1.2.3
    Adapter    "nuki-extended" : 2.2.5
    Adapter    "nut"           : 1.1.3
    Adapter    "odl"           : 1.0.5
    Adapter    "oilfox"        : 2.1.0
    Adapter    "onkyo"         : 2.0.3
    Adapter    "onvif"         : 0.4.2
    Adapter    "openhab"       : 1.1.0
    Adapter    "openligadb"    : 1.1.0
    Adapter    "opentherm"     : 0.1.9
    Adapter    "openweathermap": 0.1.0
    Adapter    "opi"           : 0.1.1
    Adapter    "oppoplayer"    : 0.2.1
    Adapter    "owfs"          : 0.6.4
    Adapter    "owntracks"     : 0.6.2
    Adapter    "panasonic-viera": 1.0.2
    Adapter    "parser"        : 1.0.7
    Adapter    "paw"           : 0.3.2
    Adapter    "phantomjs"     : 1.0.1
    Adapter    "pi-hole"       : 1.2.3
    Adapter    "piface"        : 1.0.0
    Adapter    "pimatic"       : 0.2.1
    Adapter    "ping"          : 1.4.7    , installed 1.3.2 [Updateable]
    Adapter    "places"        : 0.7.0
    Adapter    "plenticore"    : 2.1.3
    Adapter    "plex"          : 0.8.11
    Adapter    "plexconnect"   : 0.0.7
    Adapter    "pollenflug"    : 1.0.6
    Adapter    "primelab"      : 1.0.2
    Adapter    "proxmox"       : 1.0.2
    Adapter    "proxy"         : 1.2.1
    Adapter    "pushbullet"    : 0.0.11
    Adapter    "pushover"      : 2.0.2
    Adapter    "pushsafer"     : 0.1.8
    Adapter    "radar2"        : 1.2.5
    Adapter    "radiohead"     : 1.0.5
    Adapter    "rainbird"      : 0.2.2
    Adapter    "rflink"        : 2.1.5
    Adapter    "rickshaw"      : 1.0.0
    Adapter    "ring"          : 1.1.2
    Adapter    "roadtraffic"   : 0.2.0
    Adapter    "robonect"      : 0.1.3
    Adapter    "roomba"        : 1.1.1
    Adapter    "rpi2"          : 1.2.0
    Adapter    "rssfeed"       : 0.0.28
    Adapter    "s7"            : 1.1.8
    Adapter    "samsung"       : 0.2.9
    Adapter    "sanext"        : 0.0.4
    Adapter    "sayit"         : 1.8.2    , installed 1.8.2
    Adapter    "sbfspot"       : 3.0.0
    Adapter    "scenes"        : 1.1.0
    Adapter    "schoolfree"    : 0.6.0
    Adapter    "senec"         : 1.0.8
    Adapter    "shelly"        : 3.2.7    , installed 3.1.6 [Updateable]
    Adapter    "shuttercontrol": 0.5.0    , installed 0.4.3 [Updateable]
    Adapter    "sia"           : 1.0.4
    Adapter    "siegenia"      : 1.0.0
    Adapter    "simple-api"    : 2.4.5    , installed 2.4.5
    Adapter    "sma-em"        : 0.5.7
    Adapter    "smappee"       : 0.2.2
    Adapter    "smartmeter"    : 3.1.2
    Adapter    "snips"         : 1.5.0
    Adapter    "snmp"          : 0.5.0
    Adapter    "socketio"      : 3.0.7    , installed 3.0.6 [Updateable]
    Adapter    "solarlog"      : 2.0.0
    Adapter    "solarviewdatareader": 0.2.0
    Adapter    "solarwetter"   : 1.0.0
    Adapter    "sonnen"        : 1.5.0
    Adapter    "sonoff"        : 2.3.3    , installed 2.3.3
    Adapter    "sonos"         : 2.0.1
    Adapter    "sonus"         : 0.1.1
    Adapter    "sony-bravia"   : 1.0.1
    Adapter    "sourceanalytix": 0.4.2
    Adapter    "spotify-premium": 1.0.0
    Adapter    "sql"           : 1.12.5
    Adapter    "squeezebox"    : 1.0.0
    Adapter    "squeezeboxrpc" : 1.0.1
    Adapter    "starline"      : 1.0.0
    Adapter    "statistics"    : 0.2.2
    Adapter    "stiebel-isg"   : 1.4.11
    Adapter    "stockmarket"   : 0.0.2
    Adapter    "sunnyportal"   : 0.1.5
    Adapter    "swiss-weather-api": 0.2.0
    Adapter    "synology"      : 0.1.7
    Adapter    "systeminfo"    : 0.3.1
    Adapter    "tado"          : 0.1.9
    Adapter    "tahoma"        : 0.3.3
    Adapter    "tankerkoenig"  : 2.0.9
    Adapter    "telegram"      : 1.5.9    , installed 1.4.3 [Updateable]
    Adapter    "terminal"      : 0.1.2    , installed 0.1.2
    Adapter    "tesla-motors"  : 0.2.3
    Adapter    "text2command"  : 1.3.0    , installed 1.3.0
    Adapter    "tileboard"     : 0.1.1
    Adapter    "tinker"        : 1.1.0
    Adapter    "tino"          : 0.1.3
    Adapter    "tinyrx4"       : 0.1.5
    Adapter    "tr-064"        : 4.0.1    , installed 0.4.18 [Updateable]
    Adapter    "tradfri"       : 2.6.2
    Adapter    "trashschedule" : 0.0.5
    Adapter    "tunnelbroker-endpoint-updater": 0.0.1
    Adapter    "tuya"          : 3.2.3
    Adapter    "tvspielfilm"   : 2.0.1
    Adapter    "unifi"         : 0.4.3
    Adapter    "unifi-protect" : 0.0.11
    Adapter    "upnp"          : 1.0.16
    Adapter    "vaillant"      : 0.0.10
    Adapter    "valloxmv"      : 1.0.3
    Adapter    "vcard"         : 0.0.9
    Adapter    "vedirect"      : 0.1.0
    Adapter    "velux"         : 0.0.5
    Adapter    "viessmann"     : 1.2.4
    Adapter    "viessmannapi"  : 1.3.2
    Adapter    "virtualpowermeter": 1.2.1
    Adapter    "vis"           : 1.2.6
    Adapter    "vis-bars"      : 0.1.4
    Adapter    "vis-canvas-gauges": 0.1.5
    Adapter    "vis-colorpicker": 1.2.0
    Adapter    "vis-fancyswitch": 1.1.0
    Adapter    "vis-google-fonts": 0.1.0
    Adapter    "vis-history"   : 1.0.0
    Adapter    "vis-hqwidgets" : 1.1.4
    Adapter    "vis-inventwo"  : 1.3.3
    Adapter    "vis-jqui-mfd"  : 1.0.12
    Adapter    "vis-justgage"  : 1.0.2
    Adapter    "vis-keyboard"  : 0.0.2
    Adapter    "vis-lcars"     : 1.0.4
    Adapter    "vis-map"       : 1.0.4
    Adapter    "vis-material"  : 0.1.3
    Adapter    "vis-material-webfont": 0.0.3
    Adapter    "vis-materialdesign": 0.3.6
    Adapter    "vis-metro"     : 1.1.2
    Adapter    "vis-players"   : 0.1.6
    Adapter    "vis-plumb"     : 1.0.2
    Adapter    "vis-rgraph"    : 0.0.2
    Adapter    "vis-timeandweather": 1.1.7
    Adapter    "vis-weather"   : 2.5.2
    Adapter    "vodafone-speedtest": 0.0.4
    Adapter    "volvo"         : 0.0.2
    Adapter    "vr200"         : 1.0.0
    Adapter    "vw-connect"    : 0.0.11
    Adapter    "weatherunderground": 3.2.1
    Adapter    "web"           : 3.0.8    , installed 3.0.7 [Updateable]
    Adapter    "web-speedy"    : 0.2.0
    Adapter    "weishaupt-wem" : 0.0.8
    Adapter    "wiffi-wz"      : 2.2.0
    Adapter    "wifilight"     : 1.1.0    , installed 1.1.0
    Adapter    "windows-control": 0.1.3
    Adapter    "wlanthermo-nano": 0.1.1
    Adapter    "wled"          : 0.5.0
    Adapter    "wm-bus"        : 0.3.1
    Adapter    "wolf"          : 1.2.0
    Adapter    "worx"          : 1.0.2
    Adapter    "xbox"          : 0.6.3
    Adapter    "xs1"           : 1.0.2
    Adapter    "yahka"         : 0.11.0
    Adapter    "yamaha"        : 0.3.19
    Adapter    "yeelight-2"    : 1.0.3    , installed 1.0.3
    Adapter    "youtube"       : 0.0.8
    Adapter    "yr"            : 2.0.3
    Adapter    "zigbee"        : 1.1.1    , installed 1.0.4 [Updateable]
    Adapter    "zoneminder"    : 0.3.3
    Adapter    "zont"          : 0.5.4
    Adapter    "zwave"         : 2.0.1
    Adapter    "zwave2"        : 0.11.7
    pi@iobroker:/opt/iobroker $ iobroker upgrade
    Adapter "accuweather"    is not installed.
    Update admin from @4.0.9 to @4.1.1
    host.iobroker Adapter "system.adapter.admin.0" is stopped.
    NPM version: 6.14.4
    npm install iobroker.admin@4.1.1 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    upload [3] admin.admin /opt/iobroker/node_modules/iobroker.admin/admin/words.js words.js application/javascript
    Update "system.adapter.admin.0"
    upload [2] admin.admin /opt/iobroker/node_modules/iobroker.admin/admin/index_m.html index_m.html text/html
    upload [1] admin.admin /opt/iobroker/node_modules/iobroker.admin/admin/index.html index.html text/html
    upload [0] admin.admin /opt/iobroker/node_modules/iobroker.admin/admin/admin.png admin.png image/png
    Adapter "admin" updated
    host.iobroker Adapter "system.adapter.admin.0" is started
    Adapter "alarm"          is not installed.
    Adapter "alexa2"         is not installed.
    Adapter "alpha2"         is not installed.
    Adapter "amazon-dash"    is not installed.
    Adapter "artnet"         is not installed.
    Adapter "asterisk"       is not installed.
    Adapter "asuswrt"        is not installed.
    Adapter "b-control-em"   is not installed.
    Adapter "backitup"       is not installed.
    Adapter "beckhoff"       is not installed.
    Adapter "benq"           is not installed.
    Adapter "binance"        is not installed.
    Adapter "ble"            is not installed.
    Adapter "blink4home"     is not installed.
    Adapter "bmw"            is not installed.
    Adapter "boblight"       is not installed.
    Adapter "bosesoundtouch" is not installed.
    Adapter "botvac"         is not installed.
    Adapter "bring"          is not installed.
    Adapter "broadlink2"     is not installed.
    Adapter "bsblan"         is not installed.
    Adapter "bshb"           is not installed.
    Adapter "calendar"       is not installed.
    Adapter "chromecast"     is up to date.
    Adapter "cloud"          is up to date.
    Adapter "comfoair"       is not installed.
    Adapter "contact"        is not installed.
    Adapter "contactid"      is not installed.
    Adapter "coronavirus-statistics" is not installed.
    Adapter "corrently"      is not installed.
    Adapter "countdown"      is not installed.
    Adapter "cul"            is not installed.
    Adapter "daikin"         is not installed.
    Adapter "daswetter"      is up to date.
    Adapter "deconz"         is not installed.
    Update denon from @1.7.4 to @1.7.7
    NPM version: 6.14.4
    npm install iobroker.denon@1.7.7 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    upload [3] denon.admin /opt/iobroker/node_modules/iobroker.denon/admin/words.js words.js application/javascript
    Update "system.adapter.denon.0"
    upload [2] denon.admin /opt/iobroker/node_modules/iobroker.denon/admin/index_m.html index_m.html text/html
    upload [1] denon.admin /opt/iobroker/node_modules/iobroker.denon/admin/index.html index.html text/html
    upload [0] denon.admin /opt/iobroker/node_modules/iobroker.denon/admin/denon.png denon.png image/png
    Adapter "denon" updated
    Adapter "devices"        is not installed.
    Adapter "digitalstrom"   is not installed.
    Adapter "discovergy"     is not installed.
    Update discovery from @2.2.2 to @2.3.5
    NPM version: 6.14.4
    npm install iobroker.discovery@2.3.5 --loglevel error --prefix "/opt/iobroker" (System call)
    In file included from ../src/./serialport.h:6,
                     from ../src/serialport.cpp:1:
    ../../../../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../../../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Open(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:78:69: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Open, (uv_after_work_cb)EIO_AfterOpen);
                                                                         ^~~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Update(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:135:71: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Update, (uv_after_work_cb)EIO_AfterUpdate);
                                                                           ^~~~~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Close(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:175:70: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Close, (uv_after_work_cb)EIO_AfterClose);
                                                                          ^~~~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Flush(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:215:70: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Flush, (uv_after_work_cb)EIO_AfterFlush);
                                                                          ^~~~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Set(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:270:68: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Set, (uv_after_work_cb)EIO_AfterSet);
                                                                        ^~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Get(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:314:68: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Get, (uv_after_work_cb)EIO_AfterGet);
                                                                        ^~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE GetBaudRate(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:363:76: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_GetBaudRate, (uv_after_work_cb)EIO_AfterGetBaudRate);
                                                                                ^~~~~~~~~~~~~~~~~~~~
    ../src/serialport.cpp: In function ‘Nan::NAN_METHOD_RETURN_TYPE Drain(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/serialport.cpp:409:70: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
       uv_queue_work(uv_default_loop(), req, EIO_Drain, (uv_after_work_cb)EIO_AfterDrain);
                                                                          ^~~~~~~~~~~~~~
    ../src/serialport.cpp: At global scope:
    ../src/serialport.cpp:430:28: warning: unnecessary parentheses in declaration of ‘ToParityEnum’ [-Wparentheses]
     SerialPortParity NAN_INLINE(ToParityEnum(const v8::Local<v8::String>& v8str)) {
                                ^
    ../src/serialport.cpp:449:30: warning: unnecessary parentheses in declaration of ‘ToStopBitEnum’ [-Wparentheses]
     SerialPortStopBits NAN_INLINE(ToStopBitEnum(double stopBits)) {
                                  ^
    In file included from ../../../../../nan/nan.h:54,
                     from ../src/./serialport.h:6,
                     from ../src/serialport.cpp:1:
    /home/iobroker/.cache/node-gyp/12.16.3/include/node/node.h:608:43: warning: cast between incompatible function types from ‘void (*)(Nan::ADDON_REGISTER_FUNCTION_ARGS_TYPE)’ {aka ‘void (*)(v8::Local<v8::Object>)’} to ‘node::addon_register_func’ {aka ‘void (*)(v8::Local<v8::Object>, v8::Local<v8::Value>, void*)’} [-Wcast-function-type]
           (node::addon_register_func) (regfunc),                          \
                                               ^
    /home/iobroker/.cache/node-gyp/12.16.3/include/node/node.h:642:3: note: in expansion of macro ‘NODE_MODULE_X’
       NODE_MODULE_X(modname, regfunc, NULL, 0)  // NOLINT (readability/null_usage)
       ^~~~~~~~~~~~~
    ../src/serialport.cpp:483:1: note: in expansion of macro ‘NODE_MODULE’
     NODE_MODULE(serialport, init);
     ^~~~~~~~~~~
    In file included from ../src/serialport.h:6,
                     from ../src/serialport_unix.cpp:2:
    ../../../../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../../../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    ../src/serialport_unix.cpp: In function ‘int setup(int, OpenBaton*)’:
    ../src/serialport_unix.cpp:176:60: warning: ‘%s’ directive output may be truncated writing up to 1023 bytes into a region of size 1005 [-Wformat-truncation=]
         snprintf(data->errorString, sizeof(data->errorString), "Error %s Cannot open %s", strerror(errno), data->path);
                                                                ^~~~~~~~~~~~~~~~~~~~~~~~~
    ../src/serialport_unix.cpp:176:13: note: ‘snprintf’ output 20 or more bytes (assuming 1043) into a destination of size 1024
         snprintf(data->errorString, sizeof(data->errorString), "Error %s Cannot open %s", strerror(errno), data->path);
         ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ../src/serialport_unix.cpp: In function ‘void EIO_Open(uv_work_t*)’:
    ../src/serialport_unix.cpp:86:60: warning: ‘%s’ directive output may be truncated writing up to 1023 bytes into a region of size 1003 [-Wformat-truncation=]
         snprintf(data->errorString, sizeof(data->errorString), "Error: %s, cannot open %s", strerror(errno), data->path);
                                                                ^~~~~~~~~~~~~~~~~~~~~~~~~~~
    ../src/serialport_unix.cpp:86:13: note: ‘snprintf’ output 22 or more bytes (assuming 1045) into a destination of size 1024
         snprintf(data->errorString, sizeof(data->errorString), "Error: %s, cannot open %s", strerror(errno), data->path);
         ~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    In file included from ../src/poller.cpp:1:
    ../../../../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../../../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    upload [6] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/words.js words.js application/javascript
    Update "system.adapter.discovery.0"
    upload [5] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/translateTools.js translateTools.js application/javascript
    upload [4] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/settings_m.html settings_m.html text/html
    upload [3] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/settings.html settings.html text/html
    upload [2] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/index_m.html index_m.html text/html
    upload [1] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/index.html index.html text/html
    upload [0] discovery.admin /opt/iobroker/node_modules/iobroker.discovery/admin/discovery.png discovery.png image/png
    Adapter "discovery" updated
    Adapter "doorbird"       is not installed.
    Adapter "ds18b20"        is not installed.
    Adapter "dwd"            is not installed.
    Adapter "ebus"           is not installed.
    Adapter "ecovacs-deebot" is not installed.
    Adapter "egigeozone"     is not installed.
    Adapter "ekey"           is not installed.
    Adapter "email"          is not installed.
    Adapter "emby"           is not installed.
    Adapter "energymanager"  is not installed.
    Adapter "enet"           is not installed.
    Adapter "epson_stylus_px830" is not installed.
    Adapter "exchangerates"  is not installed.
    Adapter "fakeroku"       is not installed.
    Adapter "fb-checkpresence" is not installed.
    Adapter "feiertage"      is not installed.
    Adapter "fhem"           is not installed.
    Adapter "find-my-iphone" is not installed.
    Adapter "firetv"         is not installed.
    Adapter "fitbit-api"     is not installed.
    Adapter "flot"           is not installed.
    Adapter "foobar2000"     is not installed.
    Adapter "fritzbox"       is not installed.
    Adapter "fritzdect"      is not installed.
    Adapter "fronius"        is not installed.
    Adapter "fullcalendar"   is not installed.
    Adapter "fullybrowser"   is not installed.
    Adapter "g-homa"         is not installed.
    Adapter "geofency"       is not installed.
    Adapter "gruenbeck"      is not installed.
    Adapter "habpanel"       is not installed.
    Adapter "haier"          is not installed.
    Adapter "ham"            is not installed.
    Adapter "ham-wemo"       is not installed.
    Adapter "harmony"        is not installed.
    Adapter "hass-mqtt"      is not installed.
    Adapter "heatingcontrol" is not installed.
    Adapter "heytech"        is not installed.
    Adapter "hid"            is not installed.
    Adapter "hilink"         is not installed.
    Update history from @1.8.7 to @1.9.6
    NPM version: 6.14.4
    npm install iobroker.history@1.9.6 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    upload [6] history.admin /opt/iobroker/node_modules/iobroker.history/admin/wordsCustom.js wordsCustom.js application/javascript
    upload [5] history.admin /opt/iobroker/node_modules/iobroker.history/admin/words.js words.js application/javascript
    Update "system.adapter.history.0"
    upload [4] history.admin /opt/iobroker/node_modules/iobroker.history/admin/index_m.html index_m.html text/html
    upload [3] history.admin /opt/iobroker/node_modules/iobroker.history/admin/index.html index.html text/html
    upload [2] history.admin /opt/iobroker/node_modules/iobroker.history/admin/history.png history.png image/png
    upload [1] history.admin /opt/iobroker/node_modules/iobroker.history/admin/custom_m.html custom_m.html text/html
    upload [0] history.admin /opt/iobroker/node_modules/iobroker.history/admin/custom.html custom.html text/html
    Adapter "history" updated
    Update hm-rega from @2.5.5 to @2.6.6
    NPM version: 6.14.4
    npm install iobroker.hm-rega@2.6.6 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    upload [3] hm-rega.admin /opt/iobroker/node_modules/iobroker.hm-rega/admin/words.js words.js application/javascript
    Update "system.adapter.hm-rega.0"
    upload [2] hm-rega.admin /opt/iobroker/node_modules/iobroker.hm-rega/admin/index_m.html index_m.html text/html
    upload [1] hm-rega.admin /opt/iobroker/node_modules/iobroker.hm-rega/admin/index.html index.html text/html
    upload [0] hm-rega.admin /opt/iobroker/node_modules/iobroker.hm-rega/admin/homematic.png homematic.png image/png
    Adapter "hm-rega" updated
    Update hm-rpc from @1.12.10 to @1.14.2
    NPM version: 6.14.4
    npm install iobroker.hm-rpc@1.14.2 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    Update "system.adapter.hm-rpc.0"
    upload [200] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/96_hm-tc-it-wm-w-eu_thumb.png icons/96_hm-tc-it-wm-w-eu_thumb.png image/png
    upload [150] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/49_hm-sec-wds_thumb.png icons/49_hm-sec-wds_thumb.png image/png
    upload [100] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/187_hmip-rcb1_thumb.png icons/187_hmip-rcb1_thumb.png image/png
    upload [90] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/178_hmip-etrv-b1_thumb.png icons/178_hmip-etrv-b1_thumb.png image/png
    upload [80] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/168_hmip-smi55_thumb.png icons/168_hmip-smi55_thumb.png image/png
    upload [70] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/159_hmip-mod-rc8_thumb.png icons/159_hmip-mod-rc8_thumb.png image/png
    upload [60] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/14_hm-sec-key_thumb.png icons/14_hm-sec-key_thumb.png image/png
    upload [50] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/140_alpha-ip-rgb_thumb.png icons/140_alpha-ip-rgb_thumb.png image/png
    upload [40] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/132_hmip-smo_thumb.png icons/132_hmip-smo_thumb.png image/png
    upload [30] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/121_hmip-wth_thumb.png icons/121_hmip-wth_thumb.png image/png
    upload [20] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/113_hmip-psm_thumb.png icons/113_hmip-psm_thumb.png image/png
    upload [19] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/113_hmip-psm-uk_thumb.png icons/113_hmip-psm-uk_thumb.png image/png
    upload [18] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/113_hmip-psm-pe_thumb.png icons/113_hmip-psm-pe_thumb.png image/png
    upload [17] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/113_hmip-psm-it_thumb.png icons/113_hmip-psm-it_thumb.png image/png
    upload [16] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/113_hmip-psm-ch_thumb.png icons/113_hmip-psm-ch_thumb.png image/png
    upload [15] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/112_hmip-wrc2_thumb.png icons/112_hmip-wrc2_thumb.png image/png
    upload [14] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/111_hm-lc-rgbw-wm_thumb.png icons/111_hm-lc-rgbw-wm_thumb.png image/png
    upload [13] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/110_hm-es-pmsw1-dr_thump.png icons/110_hm-es-pmsw1-dr_thump.png image/png
    upload [12] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/109_hm-lc-sw1-pl-ct_thump.png icons/109_hm-lc-sw1-pl-ct_thump.png image/png
    upload [11] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/108_hm-rc-dis-h-x-eu_thump.png icons/108_hm-rc-dis-h-x-eu_thump.png image/png
    upload [10] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/107_hm-es-pmsw1-pl-R5_thumb.png icons/107_hm-es-pmsw1-pl-R5_thumb.png image/png
    upload [9] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/107_hm-es-pmsw1-pl-R4_thumb.png icons/107_hm-es-pmsw1-pl-R4_thumb.png image/png
    upload [8] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/107_hm-es-pmsw1-pl-R3_thumb.png icons/107_hm-es-pmsw1-pl-R3_thumb.png image/png
    upload [7] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/107_hm-es-pmsw1-pl-R2_thumb.png icons/107_hm-es-pmsw1-pl-R2_thumb.png image/png
    upload [6] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/105_hm-sec-sd-2-team_thumb.png icons/105_hm-sec-sd-2-team_thumb.png image/png
    upload [5] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/104_hm-sec-sd-2_thumb.png icons/104_hm-sec-sd-2_thumb.png image/png
    upload [4] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/103_hm-sen-mdir-wm55_thumb.png icons/103_hm-sen-mdir-wm55_thumb.png image/png
    upload [3] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/102_hm-es-tx-wm_thumb.png icons/102_hm-es-tx-wm_thumb.png image/png
    upload [2] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/101_hm-sen-db-pcb_thumb.png icons/101_hm-sen-db-pcb_thumb.png image/png
    upload [1] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/icons/100_hm-rc-8_thumb.png icons/100_hm-rc-8_thumb.png image/png
    upload [0] hm-rpc.admin /opt/iobroker/node_modules/iobroker.hm-rpc/admin/homematic.png homematic.png image/png
    Adapter "hm-rpc" updated
    Adapter "hmip"           is not installed.
    Adapter "hombot"         is not installed.
    Adapter "homeconnect"    is not installed.
    Adapter "homee"          is not installed.
    Adapter "homepilot"      is not installed.
    Adapter "hp-ilo"         is not installed.
    Adapter "hs100"          is not installed.
    Adapter "hue"            is not installed.
    Adapter "hue-extended"   is not installed.
    Adapter "hyperion"       is not installed.
    Adapter "i2c"            is not installed.
    Adapter "ical"           is not installed.
    Adapter "icons-addictive-flavour-png" is not installed.
    Adapter "icons-fatcow-hosting" is not installed.
    Adapter "icons-icons8"   is not installed.
    Adapter "icons-material-png" is not installed.
    Adapter "icons-material-svg" is not installed.
    Adapter "icons-mfd-png"  is not installed.
    Adapter "icons-mfd-svg"  is not installed.
    Adapter "icons-open-icon-library-png" is not installed.
    Adapter "icons-ultimate-png" is not installed.
    Adapter "influxdb"       is not installed.
    Update info from @1.5.6 to @1.7.2
    NPM version: 6.14.4
    npm install iobroker.info@1.7.2 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    upload [80] info.admin /opt/iobroker/node_modules/iobroker.info/admin/words.js words.js application/javascript
    Update "system.adapter.info.0"
    upload [70] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/js/hostInfo.js lib/js/hostInfo.js application/javascript
    upload [60] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/js/bootstrap.min.js lib/js/bootstrap.min.js application/javascript
    upload [50] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/logos/slackware.png lib/img/logos/slackware.png image/png
    upload [40] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/logos/manjaro.png lib/img/logos/manjaro.png image/png
    upload [30] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/logos/coreos.png lib/img/logos/coreos.png image/png
    upload [20] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/icons/disk.png lib/img/icons/disk.png image/png
    upload [19] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/icons/cpu.png lib/img/icons/cpu.png image/png
    upload [18] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/icons/battery.png lib/img/icons/battery.png image/png
    upload [17] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/clock/sechand.png lib/img/clock/sechand.png image/png
    upload [16] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/clock/minhand.png lib/img/clock/minhand.png image/png
    upload [15] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/clock/hourhand.png lib/img/clock/hourhand.png image/png
    upload [14] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/img/clock/clockface.png lib/img/clock/clockface.png image/png
    upload [13] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/fonts/fontawesome-webfont.woff2 lib/fonts/fontawesome-webfont.woff2 font/woff2
    upload [12] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/fonts/fontawesome-webfont.woff lib/fonts/fontawesome-webfont.woff font/woff
    upload [11] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/fonts/fontawesome-webfont.ttf lib/fonts/fontawesome-webfont.ttf font/ttf
    upload [10] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/fonts/fontawesome-webfont.svg lib/fonts/fontawesome-webfont.svg image/svg+xml
    upload [9] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/fonts/fontawesome-webfont.eot lib/fonts/fontawesome-webfont.eot application/vnd.ms-fontobject
    upload [8] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/fonts/FontAwesome.otf lib/fonts/FontAwesome.otf font/otf
    upload [7] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/data/infoData.json lib/data/infoData.json application/json
    upload [6] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/css/simplemde.min.css lib/css/simplemde.min.css text/css
    upload [5] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/css/info.css lib/css/info.css text/css
    upload [4] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/css/font-awesome.min.css lib/css/font-awesome.min.css text/css
    upload [3] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/css/chartist.min.css lib/css/chartist.min.css text/css
    upload [2] info.admin /opt/iobroker/node_modules/iobroker.info/admin/lib/css/bootstrap.min.css lib/css/bootstrap.min.css text/css
    upload [1] info.admin /opt/iobroker/node_modules/iobroker.info/admin/info.png info.png image/png
    upload [0] info.admin /opt/iobroker/node_modules/iobroker.info/admin/index_m.html index_m.html text/html
    Adapter "info" updated
    Adapter "innogy-smarthome" is not installed.
    Adapter "intesishome"    is not installed.
    Adapter "iogo"           is not installed.
    Adapter "iot"            is up to date.
    Adapter "iqontrol"       is not installed.
    Adapter "javascript"     is up to date.
    Adapter "jeelink"        is not installed.
    Adapter "js2fs"          is not installed.
    Adapter "kecontact"      is not installed.
    Adapter "klf200"         is not installed.
    Adapter "km200"          is not installed.
    Adapter "knmi-weather"   is not installed.
    Adapter "knx"            is not installed.
    Adapter "kodi"           is not installed.
    Adapter "kress"          is not installed.
    Adapter "lametric"       is not installed.
    Adapter "landroid"       is not installed.
    Adapter "lcn"            is not installed.
    Adapter "letrika_comgw"  is not installed.
    Adapter "lgtv"           is up to date.
    Adapter "lgtv-rs"        is not installed.
    Adapter "lgtv11"         is not installed.
    Adapter "lifx"           is not installed.
    Adapter "lightify"       is not installed.
    Adapter "link"           is not installed.
    Adapter "linkeddevices"  is not installed.
    Adapter "lovelace"       is not installed.
    Adapter "loxone"         is not installed.
    Adapter "luftdaten"      is not installed.
    Adapter "lupusec"        is not installed.
    Adapter "luxtronik1"     is not installed.
    Adapter "material"       is not installed.
    Adapter "maxcube"        is not installed.
    Adapter "maxcul"         is not installed.
    Adapter "mbus"           is not installed.
    Adapter "mclighting"     is not installed.
    Adapter "megad"          is not installed.
    Adapter "megadd"         is not installed.
    Adapter "megaesp"        is not installed.
    Adapter "mercedesme"     is not installed.
    Adapter "mercury"        is not installed.
    Adapter "meross"         is not installed.
    Adapter "meteoalarm"     is not installed.
    Adapter "miele"          is not installed.
    Adapter "mielecloudservice" is not installed.
    Adapter "mihome"         is not installed.
    Adapter "mihome-airpurifier" is not installed.
    Adapter "mihome-lamp"    is not installed.
    Adapter "mihome-plug"    is not installed.
    Update mihome-vacuum from @1.1.5 to @2.0.7
    NPM version: 6.14.4
    npm install iobroker.mihome-vacuum@2.0.7 --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! canvas@2.6.1 install: `node-pre-gyp install --fallback-to-build`
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the canvas@2.6.1 install script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/iobroker/.npm/_logs/2020-05-08T10_19_53_090Z-debug.log
    host.iobroker Cannot install iobroker.mihome-vacuum@2.0.7: 1
    pi@iobroker:/opt/iobroker $ iobroker upgrade self
    Controller is running. Please stop ioBroker first.
    pi@iobroker:/opt/iobroker $ iobroker stop
    ^[[A^[[Api@iobroker:/opt/iobroker $ iobroker upgrade self
    Update js-controller from @2.2.9 to @3.0.20
    NPM version: 6.14.4
    npm install iobroker.js-controller@3.0.20 --unsafe-perm --loglevel error --prefix "/opt/iobroker" (System call)
    Package pixman-1 was not found in the pkg-config search path.
    Perhaps you should add the directory containing `pixman-1.pc'
    to the PKG_CONFIG_PATH environment variable
    No package 'pixman-1' found
    gyp: Call to 'pkg-config pixman-1 --libs' returned exit status 1 while in binding.gyp. while trying to load binding.gyp
    gyp ERR! configure error
    gyp ERR! stack Error: `gyp` failed with exit code: 1
    gyp ERR! stack     at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:351:16)
    gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "configure" "--fallback-to-build" "--module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node" "--module_name=canvas" "--module_path=/opt/iobroker/node_modules/canvas/build/Release" "--napi_version=5" "--node_abi_napi=napi" "--napi_build_version=0" "--node_napi_label=node-v72"
    gyp ERR! cwd /opt/iobroker/node_modules/canvas
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    node-pre-gyp ERR! build error
    node-pre-gyp ERR! stack Error: Failed to execute '/usr/bin/node /usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js configure --fallback-to-build --module=/opt/iobroker/node_modules/canvas/build/Release/canvas.node --module_name=canvas --module_path=/opt/iobroker/node_modules/canvas/build/Release --napi_version=5 --node_abi_napi=napi --napi_build_version=0 --node_napi_label=node-v72' (1)
    node-pre-gyp ERR! stack     at ChildProcess.<anonymous> (/opt/iobroker/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
    node-pre-gyp ERR! stack     at ChildProcess.emit (events.js:310:20)
    node-pre-gyp ERR! stack     at maybeClose (internal/child_process.js:1021:16)
    node-pre-gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:286:5)
    node-pre-gyp ERR! System Linux 4.19.97-v7l+
    node-pre-gyp ERR! command "/usr/bin/node" "/opt/iobroker/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build"
    node-pre-gyp ERR! cwd /opt/iobroker/node_modules/canvas
    node-pre-gyp ERR! node -v v12.16.3
    node-pre-gyp ERR! node-pre-gyp -v v0.11.0
    node-pre-gyp ERR! not ok
    Starting node restart.js
    pi@iobroker:/opt/iobroker $ npm rebuild
    
    > protobufjs@6.8.9 postinstall /opt/iobroker/node_modules/protobufjs
    > node scripts/postinstall
    
    
    > serialport@8.0.8 postinstall /opt/iobroker/node_modules/iobroker.discovery/node_modules/serialport
    > node thank-you.js
    
    Thank you for using serialport!
    If you rely on this package, please consider supporting our open collective:
    > https://opencollective.com/serialport/donate
    
    
    
    > @serialport/bindings@8.0.8 install /opt/iobroker/node_modules/iobroker.discovery/node_modules/@serialport/bindings
    > prebuild-install --tag-prefix @serialport/bindings@ || node-gyp rebuild
    
    prebuild-install WARN install No prebuilt binaries found (target=12.16.3 runtime=node arch=arm libc= platform=linux)
    gyp ERR! clean error
    gyp ERR! stack Error: EACCES: permission denied, rmdir 'build'
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
    gyp ERR! cwd /opt/iobroker/node_modules/iobroker.discovery/node_modules/@serialport/bindings
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! @serialport/bindings@8.0.8 install: `prebuild-install --tag-prefix @serialport/bindings@ || node-gyp rebuild`
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the @serialport/bindings@8.0.8 install script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2020-05-08T10_25_49_001Z-debug.log
    pi@iobroker:/opt/iobroker $ iobroker start
    
    
    

    Fehler bleibt bestehen.

    Eine Idee wäre noch ein Downgrade von Node.js zurück auf die 10er zu machen und schauen ob es wirklich nur die Schleife im Blockly war, die den JS Adapter zum Absturz brachte.


  • Most Active

    @maxpd

    sudo apt-get install build-essential libcairo2-dev libpango1.0-dev libjpeg-dev libgif-dev librsvg2-dev libpixman-1-0
    

    Und dann nochmal versuchen.



  • @Thomas-Braun said in Javascript Adapter rot (out of memory):

    sudo apt-get install build-essential libcairo2-dev libpango1.0-dev libjpeg-dev libgif-dev librsvg2-dev libpixman-1-0

    nochmal alles komplett versuchen?

    vorher auf default zurückswitchen?


  • Most Active

    @maxpd Bleib mal auf 'latest'
    Die Pakete von gerade eben einspielen und dann nochmal

    iobroker update
    iobroker upgrade
    iobroker upgrade self
    npm rebuild
    


  • @Thomas-Braun hat jetzt schon wesentlich länger gedauert. Würde auch sagen sieht gut aus, mit Ausnahme npm rebuild.

    pi@iobroker:/opt/iobroker $ iobroker update
    Used repository: latest
    hash unchanged, use cached sources
    update done
    Adapter    "accuweather"   : 1.1.3
    Adapter    "admin"         : 4.1.1    , installed 4.1.1
    Adapter    "alarm"         : 0.3.0
    Adapter    "alexa2"        : 3.1.2
    Adapter    "alpha2"        : 1.0.0
    Adapter    "amazon-dash"   : 1.1.0
    Adapter    "artnet"        : 1.2.2
    Adapter    "asterisk"      : 1.0.6
    Adapter    "asuswrt"       : 1.0.1
    Adapter    "b-control-em"  : 0.2.1
    Adapter    "backitup"      : 1.5.6
    Adapter    "beckhoff"      : 1.2.1
    Adapter    "benq"          : 0.2.2
    Adapter    "binance"       : 1.1.2
    Adapter    "ble"           : 0.11.6
    Adapter    "blink4home"    : 0.1.1
    Adapter    "bmw"           : 1.4.0
    Adapter    "boblight"      : 0.0.1
    Adapter    "bosesoundtouch": 0.9.2
    Adapter    "botvac"        : 1.0.0
    Adapter    "bring"         : 1.7.2
    Adapter    "broadlink2"    : 2.0.3
    Adapter    "bsblan"        : 0.0.6
    Adapter    "bshb"          : 0.1.10
    Adapter    "calendar"      : 1.2.0
    Adapter    "chromecast"    : 2.3.1    , installed 2.3.1
    Adapter    "cloud"         : 3.0.3    , installed 3.0.3
    Adapter    "comfoair"      : 1.1.1
    Adapter    "contact"       : 1.1.3
    Adapter    "contactid"     : 1.0.0
    Adapter    "coronavirus-statistics": 0.5.9
    Adapter    "corrently"     : 0.0.2
    Adapter    "countdown"     : 1.1.0
    Adapter    "cul"           : 1.2.1
    Adapter    "daikin"        : 1.0.5
    Adapter    "daswetter"     : 2.8.1    , installed 2.8.1
    Adapter    "deconz"        : 1.3.7
    Adapter    "denon"         : 1.7.7    , installed 1.7.7
    Adapter    "devices"       : 0.3.6
    Adapter    "digitalstrom"  : 2.0.5
    Adapter    "discovergy"    : 0.5.4
    Adapter    "discovery"     : 2.3.5    , installed 2.3.5
    Adapter    "doorbird"      : 0.1.5
    Adapter    "ds18b20"       : 1.1.4
    Adapter    "dwd"           : 2.4.8
    Adapter    "ebus"          : 2.0.0
    Adapter    "ecovacs-deebot": 0.5.8
    Adapter    "egigeozone"    : 0.1.2
    Adapter    "ekey"          : 1.1.0
    Adapter    "email"         : 1.0.6
    Adapter    "emby"          : 1.0.2
    Adapter    "energymanager" : 1.2.2
    Adapter    "enet"          : 1.0.1
    Adapter    "epson_stylus_px830": 0.2.1
    Adapter    "exchangerates" : 0.0.12
    Adapter    "fakeroku"      : 0.2.1
    Adapter    "fb-checkpresence": 1.0.1
    Adapter    "feiertage"     : 1.0.19
    Adapter    "fhem"          : 1.4.1
    Adapter    "find-my-iphone": 0.2.17
    Adapter    "firetv"        : 1.0.0
    Adapter    "fitbit-api"    : 0.1.1
    Adapter    "flot"          : 1.9.2
    Adapter    "foobar2000"    : 1.0.0
    Adapter    "fritzbox"      : 0.2.1
    Adapter    "fritzdect"     : 0.3.2
    Adapter    "fronius"       : 1.0.5
    Adapter    "fullcalendar"  : 1.1.0
    Adapter    "fullybrowser"  : 1.0.3
    Adapter    "g-homa"        : 0.5.1
    Adapter    "geofency"      : 0.3.2
    Adapter    "gruenbeck"     : 0.0.18
    Adapter    "habpanel"      : 0.4.1
    Adapter    "haier"         : 1.0.3
    Adapter    "ham"           : 1.1.2
    Adapter    "ham-wemo"      : 1.0.1
    Adapter    "harmony"       : 1.2.2
    Adapter    "hass-mqtt"     : 0.0.7
    Adapter    "heatingcontrol": 0.5.0
    Adapter    "heytech"       : 0.2.0
    Adapter    "hid"           : 0.1.17
    Adapter    "hilink"        : 0.2.7
    Adapter    "history"       : 1.9.6    , installed 1.9.6
    Adapter    "hm-rega"       : 2.6.6    , installed 2.6.6
    Adapter    "hm-rpc"        : 1.14.2   , installed 1.14.2
    Adapter    "hmip"          : 0.0.11
    Adapter    "hombot"        : 0.1.3
    Adapter    "homeconnect"   : 0.0.26
    Adapter    "homee"         : 1.0.5
    Adapter    "homepilot"     : 1.1.4
    Adapter    "hp-ilo"        : 1.0.5
    Adapter    "hs100"         : 1.1.2
    Adapter    "hue"           : 3.2.8
    Adapter    "hue-extended"  : 1.3.2
    Adapter    "hyperion"      : 0.0.9
    Adapter    "i2c"           : 0.0.6
    Adapter    "ical"          : 1.7.0
    Adapter    "icons-addictive-flavour-png": 0.1.0
    Adapter    "icons-fatcow-hosting": 0.1.0
    Adapter    "icons-icons8"  : 0.0.1
    Adapter    "icons-material-png": 0.1.0
    Adapter    "icons-material-svg": 0.1.0
    Adapter    "icons-mfd-png" : 1.0.2
    Adapter    "icons-mfd-svg" : 1.0.2
    Adapter    "icons-open-icon-library-png": 0.1.2
    Adapter    "icons-ultimate-png": 1.0.1
    Adapter    "influxdb"      : 1.8.4
    Adapter    "info"          : 1.7.2    , installed 1.7.2
    Adapter    "innogy-smarthome": 0.3.4
    Adapter    "intesishome"   : 0.1.2
    Adapter    "iogo"          : 0.5.10
    Adapter    "iot"           : 1.4.14   , installed 1.4.14
    Adapter    "iqontrol"      : 0.3.7
    Adapter    "javascript"    : 4.5.1    , installed 4.5.1
    Adapter    "jeelink"       : 0.1.3
    Controller "js-controller" : 3.0.20   , installed 3.0.20
    Adapter    "js2fs"         : 0.1.5
    Adapter    "kecontact"     : 0.1.0
    Adapter    "klf200"        : 0.9.5
    Adapter    "km200"         : 2.0.3
    Adapter    "knmi-weather"  : 0.2.0
    Adapter    "knx"           : 1.0.41
    Adapter    "kodi"          : 2.0.2
    Adapter    "kress"         : 2.5.5
    Adapter    "lametric"      : 0.0.7
    Adapter    "landroid"      : 1.0.3
    Adapter    "lcn"           : 0.6.3
    Adapter    "letrika_comgw" : 0.0.5
    Adapter    "lgtv"          : 1.1.6    , installed 1.1.6
    Adapter    "lgtv-rs"       : 0.1.0
    Adapter    "lgtv11"        : 1.0.5
    Adapter    "lifx"          : 0.1.1
    Adapter    "lightify"      : 0.2.16
    Adapter    "link"          : 0.5.9
    Adapter    "linkeddevices" : 1.1.4
    Adapter    "lovelace"      : 1.0.16
    Adapter    "loxone"        : 1.0.0
    Adapter    "luftdaten"     : 0.0.11
    Adapter    "lupusec"       : 1.2.6
    Adapter    "luxtronik1"    : 0.2.3
    Adapter    "material"      : 0.13.8
    Adapter    "maxcube"       : 0.1.2
    Adapter    "maxcul"        : 1.1.2
    Adapter    "mbus"          : 2.2.0
    Adapter    "mclighting"    : 0.1.1
    Adapter    "megad"         : 1.2.1
    Adapter    "megadd"        : 0.2.0
    Adapter    "megaesp"       : 0.1.0
    Adapter    "mercedesme"    : 0.0.21
    Adapter    "mercury"       : 0.1.1
    Adapter    "meross"        : 1.3.13
    Adapter    "meteoalarm"    : 1.1.0
    Adapter    "miele"         : 0.1.5
    Adapter    "mielecloudservice": 1.2.1
    Adapter    "mihome"        : 1.3.0
    Adapter    "mihome-airpurifier": 0.1.7
    Adapter    "mihome-lamp"   : 1.1.0
    Adapter    "mihome-plug"   : 0.2.1
    Adapter    "mihome-vacuum" : 2.0.7    , installed 1.1.5 [Updateable]
    Adapter    "miio"          : 0.0.13
    Adapter    "mikrotik"      : 1.0.12
    Adapter    "milight"       : 0.3.6
    Adapter    "milight-smart-light": 0.4.1
    Adapter    "mobile"        : 0.5.0
    Adapter    "modbus"        : 3.0.0
    Adapter    "moma"          : 1.2.6
    Adapter    "mpd"           : 1.0.5
    Adapter    "mqtt"          : 2.1.1
    Adapter    "mqtt-client"   : 1.3.1
    Adapter    "multicast"     : 0.1.5
    Adapter    "musiccast"     : 0.1.3
    Adapter    "mydlink"       : 1.0.9
    Adapter    "myq"           : 0.1.1
    Adapter    "mysensors"     : 2.0.0
    Adapter    "myvbus"        : 0.0.4
    Adapter    "nanoleaf-lightpanels": 0.8.2
    Adapter    "nello"         : 2.0.8
    Adapter    "netatmo"       : 1.3.1
    Adapter    "nibeuplink"    : 0.3.0
    Adapter    "nina"          : 0.0.23
    Adapter    "node-red"      : 1.17.2
    Adapter    "noolitef"      : 0.0.2
    Adapter    "nuki"          : 1.2.3
    Adapter    "nuki-extended" : 2.2.5
    Adapter    "nut"           : 1.1.3
    Adapter    "odl"           : 1.0.5
    Adapter    "oilfox"        : 2.1.0
    Adapter    "onkyo"         : 2.0.3
    Adapter    "onvif"         : 0.4.2
    Adapter    "openhab"       : 1.1.0
    Adapter    "openligadb"    : 1.1.0
    Adapter    "opentherm"     : 0.1.9
    Adapter    "openweathermap": 0.1.0
    Adapter    "opi"           : 0.1.1
    Adapter    "oppoplayer"    : 0.2.1
    Adapter    "owfs"          : 0.6.4
    Adapter    "owntracks"     : 0.6.2
    Adapter    "panasonic-viera": 1.0.2
    Adapter    "parser"        : 1.0.7
    Adapter    "paw"           : 0.3.2
    Adapter    "phantomjs"     : 1.0.1
    Adapter    "pi-hole"       : 1.2.3
    Adapter    "piface"        : 1.0.0
    Adapter    "pimatic"       : 0.2.1
    Adapter    "ping"          : 1.4.7    , installed 1.3.2 [Updateable]
    Adapter    "places"        : 0.7.0
    Adapter    "plenticore"    : 2.1.3
    Adapter    "plex"          : 0.8.11
    Adapter    "plexconnect"   : 0.0.7
    Adapter    "pollenflug"    : 1.0.6
    Adapter    "primelab"      : 1.0.2
    Adapter    "proxmox"       : 1.0.2
    Adapter    "proxy"         : 1.2.1
    Adapter    "pushbullet"    : 0.0.11
    Adapter    "pushover"      : 2.0.2
    Adapter    "pushsafer"     : 0.1.8
    Adapter    "radar2"        : 1.2.5
    Adapter    "radiohead"     : 1.0.5
    Adapter    "rainbird"      : 0.2.2
    Adapter    "rflink"        : 2.1.5
    Adapter    "rickshaw"      : 1.0.0
    Adapter    "ring"          : 1.1.2
    Adapter    "roadtraffic"   : 0.2.0
    Adapter    "robonect"      : 0.1.3
    Adapter    "roomba"        : 1.1.1
    Adapter    "rpi2"          : 1.2.0
    Adapter    "rssfeed"       : 0.0.28
    Adapter    "s7"            : 1.1.8
    Adapter    "samsung"       : 0.2.9
    Adapter    "sanext"        : 0.0.4
    Adapter    "sayit"         : 1.8.2    , installed 1.8.2
    Adapter    "sbfspot"       : 3.0.0
    Adapter    "scenes"        : 1.1.0
    Adapter    "schoolfree"    : 0.6.0
    Adapter    "senec"         : 1.0.8
    Adapter    "shelly"        : 3.2.7    , installed 3.1.6 [Updateable]
    Adapter    "shuttercontrol": 0.5.0    , installed 0.4.3 [Updateable]
    Adapter    "sia"           : 1.0.4
    Adapter    "siegenia"      : 1.0.0
    Adapter    "simple-api"    : 2.4.5    , installed 2.4.5
    Adapter    "sma-em"        : 0.5.7
    Adapter    "smappee"       : 0.2.2
    Adapter    "smartmeter"    : 3.1.2
    Adapter    "snips"         : 1.5.0
    Adapter    "snmp"          : 0.5.0
    Adapter    "socketio"      : 3.0.7    , installed 3.0.6 [Updateable]
    Adapter    "solarlog"      : 2.0.0
    Adapter    "solarviewdatareader": 0.2.0
    Adapter    "solarwetter"   : 1.0.0
    Adapter    "sonnen"        : 1.5.0
    Adapter    "sonoff"        : 2.3.3    , installed 2.3.3
    Adapter    "sonos"         : 2.0.1
    Adapter    "sonus"         : 0.1.1
    Adapter    "sony-bravia"   : 1.0.1
    Adapter    "sourceanalytix": 0.4.2
    Adapter    "spotify-premium": 1.0.0
    Adapter    "sql"           : 1.12.5
    Adapter    "squeezebox"    : 1.0.0
    Adapter    "squeezeboxrpc" : 1.0.1
    Adapter    "starline"      : 1.0.0
    Adapter    "statistics"    : 0.2.2
    Adapter    "stiebel-isg"   : 1.4.11
    Adapter    "stockmarket"   : 0.0.2
    Adapter    "sunnyportal"   : 0.1.5
    Adapter    "swiss-weather-api": 0.2.0
    Adapter    "synology"      : 0.1.7
    Adapter    "systeminfo"    : 0.3.1
    Adapter    "tado"          : 0.1.9
    Adapter    "tahoma"        : 0.3.3
    Adapter    "tankerkoenig"  : 2.0.9
    Adapter    "telegram"      : 1.5.9    , installed 1.4.3 [Updateable]
    Adapter    "terminal"      : 0.1.2    , installed 0.1.2
    Adapter    "tesla-motors"  : 0.2.3
    Adapter    "text2command"  : 1.3.0    , installed 1.3.0
    Adapter    "tileboard"     : 0.1.1
    Adapter    "tinker"        : 1.1.0
    Adapter    "tino"          : 0.1.3
    Adapter    "tinyrx4"       : 0.1.5
    Adapter    "tr-064"        : 4.0.1    , installed 0.4.18 [Updateable]
    Adapter    "tradfri"       : 2.6.2
    Adapter    "trashschedule" : 0.0.5
    Adapter    "tunnelbroker-endpoint-updater": 0.0.1
    Adapter    "tuya"          : 3.2.3
    Adapter    "tvspielfilm"   : 2.0.1
    Adapter    "unifi"         : 0.4.3
    Adapter    "unifi-protect" : 0.0.11
    Adapter    "upnp"          : 1.0.16
    Adapter    "vaillant"      : 0.0.10
    Adapter    "valloxmv"      : 1.0.3
    Adapter    "vcard"         : 0.0.9
    Adapter    "vedirect"      : 0.1.0
    Adapter    "velux"         : 0.0.5
    Adapter    "viessmann"     : 1.2.4
    Adapter    "viessmannapi"  : 1.3.2
    Adapter    "virtualpowermeter": 1.2.1
    Adapter    "vis"           : 1.2.6
    Adapter    "vis-bars"      : 0.1.4
    Adapter    "vis-canvas-gauges": 0.1.5
    Adapter    "vis-colorpicker": 1.2.0
    Adapter    "vis-fancyswitch": 1.1.0
    Adapter    "vis-google-fonts": 0.1.0
    Adapter    "vis-history"   : 1.0.0
    Adapter    "vis-hqwidgets" : 1.1.4
    Adapter    "vis-inventwo"  : 1.3.3
    Adapter    "vis-jqui-mfd"  : 1.0.12
    Adapter    "vis-justgage"  : 1.0.2
    Adapter    "vis-keyboard"  : 0.0.2
    Adapter    "vis-lcars"     : 1.0.4
    Adapter    "vis-map"       : 1.0.4
    Adapter    "vis-material"  : 0.1.3
    Adapter    "vis-material-webfont": 0.0.3
    Adapter    "vis-materialdesign": 0.3.6
    Adapter    "vis-metro"     : 1.1.2
    Adapter    "vis-players"   : 0.1.6
    Adapter    "vis-plumb"     : 1.0.2
    Adapter    "vis-rgraph"    : 0.0.2
    Adapter    "vis-timeandweather": 1.1.7
    Adapter    "vis-weather"   : 2.5.2
    Adapter    "vodafone-speedtest": 0.0.4
    Adapter    "volvo"         : 0.0.2
    Adapter    "vr200"         : 1.0.0
    Adapter    "vw-connect"    : 0.0.11
    Adapter    "weatherunderground": 3.2.1
    Adapter    "web"           : 3.0.8    , installed 3.0.7 [Updateable]
    Adapter    "web-speedy"    : 0.2.0
    Adapter    "weishaupt-wem" : 0.0.8
    Adapter    "wiffi-wz"      : 2.2.0
    Adapter    "wifilight"     : 1.1.0    , installed 1.1.0
    Adapter    "windows-control": 0.1.3
    Adapter    "wlanthermo-nano": 0.1.1
    Adapter    "wled"          : 0.5.0
    Adapter    "wm-bus"        : 0.3.1
    Adapter    "wolf"          : 1.2.0
    Adapter    "worx"          : 1.0.2
    Adapter    "xbox"          : 0.6.3
    Adapter    "xs1"           : 1.0.2
    Adapter    "yahka"         : 0.11.0
    Adapter    "yamaha"        : 0.3.19
    Adapter    "yeelight-2"    : 1.0.3    , installed 1.0.3
    Adapter    "youtube"       : 0.0.8
    Adapter    "yr"            : 2.0.3
    Adapter    "zigbee"        : 1.1.1    , installed 1.0.4 [Updateable]
    Adapter    "zoneminder"    : 0.3.3
    Adapter    "zont"          : 0.5.4
    Adapter    "zwave"         : 2.0.1
    Adapter    "zwave2"        : 0.11.7
    pi@iobroker:/opt/iobroker $ iobroker upgrade
    Adapter "accuweather"    is not installed.
    Adapter "admin"          is up to date.
    Adapter "alarm"          is not installed.
    Adapter "alexa2"         is not installed.
    Adapter "alpha2"         is not installed.
    Adapter "amazon-dash"    is not installed.
    Adapter "artnet"         is not installed.
    Adapter "asterisk"       is not installed.
    Adapter "asuswrt"        is not installed.
    Adapter "b-control-em"   is not installed.
    Adapter "backitup"       is not installed.
    Adapter "beckhoff"       is not installed.
    Adapter "benq"           is not installed.
    Adapter "binance"        is not installed.
    Adapter "ble"            is not installed.
    Adapter "blink4home"     is not installed.
    Adapter "bmw"            is not installed.
    Adapter "boblight"       is not installed.
    Adapter "bosesoundtouch" is not installed.
    Adapter "botvac"         is not installed.
    Adapter "bring"          is not installed.
    Adapter "broadlink2"     is not installed.
    Adapter "bsblan"         is not installed.
    Adapter "bshb"           is not installed.
    Adapter "calendar"       is not installed.
    Adapter "chromecast"     is up to date.
    Adapter "cloud"          is up to date.
    Adapter "comfoair"       is not installed.
    Adapter "contact"        is not installed.
    Adapter "contactid"      is not installed.
    Adapter "coronavirus-statistics" is not installed.
    Adapter "corrently"      is not installed.
    Adapter "countdown"      is not installed.
    Adapter "cul"            is not installed.
    Adapter "daikin"         is not installed.
    Adapter "daswetter"      is up to date.
    Adapter "deconz"         is not installed.
    Adapter "denon"          is up to date.
    Adapter "devices"        is not installed.
    Adapter "digitalstrom"   is not installed.
    Adapter "discovergy"     is not installed.
    Adapter "discovery"      is up to date.
    Adapter "doorbird"       is not installed.
    Adapter "ds18b20"        is not installed.
    Adapter "dwd"            is not installed.
    Adapter "ebus"           is not installed.
    Adapter "ecovacs-deebot" is not installed.
    Adapter "egigeozone"     is not installed.
    Adapter "ekey"           is not installed.
    Adapter "email"          is not installed.
    Adapter "emby"           is not installed.
    Adapter "energymanager"  is not installed.
    Adapter "enet"           is not installed.
    Adapter "epson_stylus_px830" is not installed.
    Adapter "exchangerates"  is not installed.
    Adapter "fakeroku"       is not installed.
    Adapter "fb-checkpresence" is not installed.
    Adapter "feiertage"      is not installed.
    Adapter "fhem"           is not installed.
    Adapter "find-my-iphone" is not installed.
    Adapter "firetv"         is not installed.
    Adapter "fitbit-api"     is not installed.
    Adapter "flot"           is not installed.
    Adapter "foobar2000"     is not installed.
    Adapter "fritzbox"       is not installed.
    Adapter "fritzdect"      is not installed.
    Adapter "fronius"        is not installed.
    Adapter "fullcalendar"   is not installed.
    Adapter "fullybrowser"   is not installed.
    Adapter "g-homa"         is not installed.
    Adapter "geofency"       is not installed.
    Adapter "gruenbeck"      is not installed.
    Adapter "habpanel"       is not installed.
    Adapter "haier"          is not installed.
    Adapter "ham"            is not installed.
    Adapter "ham-wemo"       is not installed.
    Adapter "harmony"        is not installed.
    Adapter "hass-mqtt"      is not installed.
    Adapter "heatingcontrol" is not installed.
    Adapter "heytech"        is not installed.
    Adapter "hid"            is not installed.
    Adapter "hilink"         is not installed.
    Adapter "history"        is up to date.
    Adapter "hm-rega"        is up to date.
    Adapter "hm-rpc"         is up to date.
    Adapter "hmip"           is not installed.
    Adapter "hombot"         is not installed.
    Adapter "homeconnect"    is not installed.
    Adapter "homee"          is not installed.
    Adapter "homepilot"      is not installed.
    Adapter "hp-ilo"         is not installed.
    Adapter "hs100"          is not installed.
    Adapter "hue"            is not installed.
    Adapter "hue-extended"   is not installed.
    Adapter "hyperion"       is not installed.
    Adapter "i2c"            is not installed.
    Adapter "ical"           is not installed.
    Adapter "icons-addictive-flavour-png" is not installed.
    Adapter "icons-fatcow-hosting" is not installed.
    Adapter "icons-icons8"   is not installed.
    Adapter "icons-material-png" is not installed.
    Adapter "icons-material-svg" is not installed.
    Adapter "icons-mfd-png"  is not installed.
    Adapter "icons-mfd-svg"  is not installed.
    Adapter "icons-open-icon-library-png" is not installed.
    Adapter "icons-ultimate-png" is not installed.
    Adapter "influxdb"       is not installed.
    Adapter "info"           is up to date.
    Adapter "innogy-smarthome" is not installed.
    Adapter "intesishome"    is not installed.
    Adapter "iogo"           is not installed.
    Adapter "iot"            is up to date.
    Adapter "iqontrol"       is not installed.
    Adapter "javascript"     is up to date.
    Adapter "jeelink"        is not installed.
    Adapter "js2fs"          is not installed.
    Adapter "kecontact"      is not installed.
    Adapter "klf200"         is not installed.
    Adapter "km200"          is not installed.
    Adapter "knmi-weather"   is not installed.
    Adapter "knx"            is not installed.
    Adapter "kodi"           is not installed.
    Adapter "kress"          is not installed.
    Adapter "lametric"       is not installed.
    Adapter "landroid"       is not installed.
    Adapter "lcn"            is not installed.
    Adapter "letrika_comgw"  is not installed.
    Adapter "lgtv"           is up to date.
    Adapter "lgtv-rs"        is not installed.
    Adapter "lgtv11"         is not installed.
    Adapter "lifx"           is not installed.
    Adapter "lightify"       is not installed.
    Adapter "link"           is not installed.
    Adapter "linkeddevices"  is not installed.
    Adapter "lovelace"       is not installed.
    Adapter "loxone"         is not installed.
    Adapter "luftdaten"      is not installed.
    Adapter "lupusec"        is not installed.
    Adapter "luxtronik1"     is not installed.
    Adapter "material"       is not installed.
    Adapter "maxcube"        is not installed.
    Adapter "maxcul"         is not installed.
    Adapter "mbus"           is not installed.
    Adapter "mclighting"     is not installed.
    Adapter "megad"          is not installed.
    Adapter "megadd"         is not installed.
    Adapter "megaesp"        is not installed.
    Adapter "mercedesme"     is not installed.
    Adapter "mercury"        is not installed.
    Adapter "meross"         is not installed.
    Adapter "meteoalarm"     is not installed.
    Adapter "miele"          is not installed.
    Adapter "mielecloudservice" is not installed.
    Adapter "mihome"         is not installed.
    Adapter "mihome-airpurifier" is not installed.
    Adapter "mihome-lamp"    is not installed.
    Adapter "mihome-plug"    is not installed.
    Update mihome-vacuum from @1.1.5 to @2.0.7
    NPM version: 6.14.4
    npm install iobroker.mihome-vacuum@2.0.7 --loglevel error --prefix "/opt/iobroker" (System call)
    In file included from ../src/backend/Backend.h:6,
                     from ../src/backend/Backend.cc:1:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/backend/ImageBackend.h:3,
                     from ../src/backend/ImageBackend.cc:1:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/backend/PdfBackend.h:3,
                     from ../src/backend/PdfBackend.cc:1:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/backend/SvgBackend.h:3,
                     from ../src/backend/SvgBackend.cc:1:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    ../src/bmp/BMPParser.cc: In member function ‘void BMPParser::Parser::parse(uint8_t*, int, uint8_t*)’:
    ../src/bmp/BMPParser.cc:189:16: warning: comparison of integer expressions of different signedness: ‘int’ and ‘unsigned int’ [-Wsign-compare]
       E(ptr - data > imgdOffset, "image data overlaps with another structure");
         ~~~~~~~~~~~^~~~~~~~~~~~
    ../src/bmp/BMPParser.cc:10:25: note: in definition of macro ‘E’
     #define E(cond, msg) if(cond) return setErr(msg)
                             ^~~~
    ../src/bmp/BMPParser.cc:204:27: warning: comparison of integer expressions of different signedness: ‘uint32_t’ {aka ‘unsigned int’} and ‘int’ [-Wsign-compare]
       E(ptr - data + imgdSize > len, "not enough image data");
         ~~~~~~~~~~~~~~~~~~~~~~^~~~~
    ../src/bmp/BMPParser.cc:10:25: note: in definition of macro ‘E’
     #define E(cond, msg) if(cond) return setErr(msg)
                             ^~~~
    In file included from ../src/backend/Backend.h:6,
                     from ../src/Backends.h:3,
                     from ../src/Backends.cc:1:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/Canvas.h:5,
                     from ../src/Canvas.cc:3:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    ../src/Canvas.cc: In static member function ‘static Nan::NAN_METHOD_RETURN_TYPE Canvas::ToBuffer(Nan::NAN_METHOD_ARGS_TYPE)’:
    ../src/Canvas.cc:415:26: warning: comparison of integer expressions of different signedness: ‘int’ and ‘size_t’ {aka ‘unsigned int’} [-Wsign-compare]
         if (canvas->nBytes() > node::Buffer::kMaxLength) {
             ~~~~~~~~~~~~~~~~~^~~~~~
    ../src/Canvas.cc:479:79: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         uv_queue_work(uv_default_loop(), req, ToPngBufferAsync, (uv_after_work_cb)ToBufferAsyncAfter);
                                                                                   ^~~~~~~~~~~~~~~~~~
    ../src/Canvas.cc:520:80: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         uv_queue_work(uv_default_loop(), req, ToJpegBufferAsync, (uv_after_work_cb)ToBufferAsyncAfter);
                                                                                    ^~~~~~~~~~~~~~~~~~
    In file included from ../src/CanvasGradient.h:5,
                     from ../src/CanvasGradient.cc:3:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/CanvasPattern.h:6,
                     from ../src/CanvasPattern.cc:3:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/Canvas.h:5,
                     from ../src/CanvasRenderingContext2d.h:6,
                     from ../src/CanvasRenderingContext2d.cc:3:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/Canvas.h:5,
                     from ../src/closure.h:5,
                     from ../src/closure.cc:1:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/Image.h:8,
                     from ../src/Image.cc:3:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/ImageData.h:5,
                     from ../src/ImageData.cc:3:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../src/backend/Backend.h:6,
                     from ../src/Backends.h:3,
                     from ../src/init.cc:17:
    ../../nan/nan.h: In function ‘void Nan::AsyncQueueWorker(Nan::AsyncWorker*)’:
    ../../nan/nan.h:2298:62: warning: cast between incompatible function types from ‘void (*)(uv_work_t*)’ {aka ‘void (*)(uv_work_s*)’} to ‘uv_after_work_cb’ {aka ‘void (*)(uv_work_s*, int)’} [-Wcast-function-type]
         , reinterpret_cast<uv_after_work_cb>(AsyncExecuteComplete)
                                                                  ^
    In file included from ../../nan/nan.h:54,
                     from ../src/backend/Backend.h:6,
                     from ../src/Backends.h:3,
                     from ../src/init.cc:17:
    ../src/init.cc: At global scope:
    /home/iobroker/.cache/node-gyp/12.16.3/include/node/node.h:608:43: warning: cast between incompatible function types from ‘void (*)(Nan::ADDON_REGISTER_FUNCTION_ARGS_TYPE)’ {aka ‘void (*)(v8::Local<v8::Object>)’} to ‘node::addon_register_func’ {aka ‘void (*)(v8::Local<v8::Object>, v8::Local<v8::Value>, void*)’} [-Wcast-function-type]
           (node::addon_register_func) (regfunc),                          \
                                               ^
    /home/iobroker/.cache/node-gyp/12.16.3/include/node/node.h:642:3: note: in expansion of macro ‘NODE_MODULE_X’
       NODE_MODULE_X(modname, regfunc, NULL, 0)  // NOLINT (readability/null_usage)
       ^~~~~~~~~~~~~
    ../src/init.cc:88:1: note: in expansion of macro ‘NODE_MODULE’
     NODE_MODULE(canvas, init);
     ^~~~~~~~~~~
    upload [11] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/words.js words.js application/javascript
    Update "system.adapter.mihome-vacuum.0"
    upload [10] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/valetudo_logo_small.svg valetudo_logo_small.svg image/svg+xml
    upload [9] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/valetudo_conf.png valetudo_conf.png image/png
    upload [8] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/tank.png tank.png image/png
    upload [7] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/spaceship.png spaceship.png image/png
    upload [6] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/root/howto.md root/howto.md text/markdown
    upload [5] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/robot1.png robot1.png image/png
    upload [4] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/robot.png robot.png image/png
    upload [3] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/mihome-vacuum.png mihome-vacuum.png image/png
    upload [2] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/index_m.html index_m.html text/html
    upload [1] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/index.html index.html text/html
    upload [0] mihome-vacuum.admin /opt/iobroker/node_modules/iobroker.mihome-vacuum/admin/S5.png S5.png image/png
    Adapter "mihome-vacuum" updated
    Adapter "miio"           is not installed.
    Adapter "mikrotik"       is not installed.
    Adapter "milight"        is not installed.
    Adapter "milight-smart-light" is not installed.
    Adapter "mobile"         is not installed.
    Adapter "modbus"         is not installed.
    Adapter "moma"           is not installed.
    Adapter "mpd"            is not installed.
    Adapter "mqtt"           is not installed.
    Adapter "mqtt-client"    is not installed.
    Adapter "multicast"      is not installed.
    Adapter "musiccast"      is not installed.
    Adapter "mydlink"        is not installed.
    Adapter "myq"            is not installed.
    Adapter "mysensors"      is not installed.
    Adapter "myvbus"         is not installed.
    Adapter "nanoleaf-lightpanels" is not installed.
    Adapter "nello"          is not installed.
    Adapter "netatmo"        is not installed.
    Adapter "nibeuplink"     is not installed.
    Adapter "nina"           is not installed.
    Adapter "node-red"       is not installed.
    Adapter "noolitef"       is not installed.
    Adapter "nuki"           is not installed.
    Adapter "nuki-extended"  is not installed.
    Adapter "nut"            is not installed.
    Adapter "odl"            is not installed.
    Adapter "oilfox"         is not installed.
    Adapter "onkyo"          is not installed.
    Adapter "onvif"          is not installed.
    Adapter "openhab"        is not installed.
    Adapter "openligadb"     is not installed.
    Adapter "opentherm"      is not installed.
    Adapter "openweathermap" is not installed.
    Adapter "opi"            is not installed.
    Adapter "oppoplayer"     is not installed.
    Adapter "owfs"           is not installed.
    Adapter "owntracks"      is not installed.
    Adapter "panasonic-viera" is not installed.
    Adapter "parser"         is not installed.
    Adapter "paw"            is not installed.
    Adapter "phantomjs"      is not installed.
    Adapter "pi-hole"        is not installed.
    Adapter "piface"         is not installed.
    Adapter "pimatic"        is not installed.
    Update ping from @1.3.2 to @1.4.7
    NPM version: 6.14.4
    npm install iobroker.ping@1.4.7 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [3] ping.admin /opt/iobroker/node_modules/iobroker.ping/admin/words.js words.js application/javascript
    Update "system.adapter.ping.0"
    upload [2] ping.admin /opt/iobroker/node_modules/iobroker.ping/admin/ping.png ping.png image/png
    upload [1] ping.admin /opt/iobroker/node_modules/iobroker.ping/admin/index_m.html index_m.html text/html
    upload [0] ping.admin /opt/iobroker/node_modules/iobroker.ping/admin/index.html index.html text/html
    Adapter "ping" updated
    Adapter "places"         is not installed.
    Adapter "plenticore"     is not installed.
    Adapter "plex"           is not installed.
    Adapter "plexconnect"    is not installed.
    Adapter "pollenflug"     is not installed.
    Adapter "primelab"       is not installed.
    Adapter "proxmox"        is not installed.
    Adapter "proxy"          is not installed.
    Adapter "pushbullet"     is not installed.
    Adapter "pushover"       is not installed.
    Adapter "pushsafer"      is not installed.
    Adapter "radar2"         is not installed.
    Adapter "radiohead"      is not installed.
    Adapter "rainbird"       is not installed.
    Adapter "rflink"         is not installed.
    Adapter "rickshaw"       is not installed.
    Adapter "ring"           is not installed.
    Adapter "roadtraffic"    is not installed.
    Adapter "robonect"       is not installed.
    Adapter "roomba"         is not installed.
    Adapter "rpi2"           is not installed.
    Adapter "rssfeed"        is not installed.
    Adapter "s7"             is not installed.
    Adapter "samsung"        is not installed.
    Adapter "sanext"         is not installed.
    Adapter "sayit"          is up to date.
    Adapter "sbfspot"        is not installed.
    Adapter "scenes"         is not installed.
    Adapter "schoolfree"     is not installed.
    Adapter "senec"          is not installed.
    Update shelly from @3.1.6 to @3.2.7
    NPM version: 6.14.4
    npm install iobroker.shelly@3.2.7 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [2] shelly.admin /opt/iobroker/node_modules/iobroker.shelly/admin/words.js words.js application/javascript
    Update "system.adapter.shelly.0"
    upload [1] shelly.admin /opt/iobroker/node_modules/iobroker.shelly/admin/shelly.png shelly.png image/png
    upload [0] shelly.admin /opt/iobroker/node_modules/iobroker.shelly/admin/index_m.html index_m.html text/html
    Adapter "shelly" updated
    Update shuttercontrol from @0.4.3 to @0.5.0
    host.iobroker Adapter "system.adapter.shuttercontrol.0" is stopped.
    NPM version: 6.14.4
    npm install iobroker.shuttercontrol@0.5.0 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [3] shuttercontrol.admin /opt/iobroker/node_modules/iobroker.shuttercontrol/admin/words.js words.js application/javascript
    Update "system.adapter.shuttercontrol.0"
    upload [2] shuttercontrol.admin /opt/iobroker/node_modules/iobroker.shuttercontrol/admin/style.css style.css text/css
    upload [1] shuttercontrol.admin /opt/iobroker/node_modules/iobroker.shuttercontrol/admin/shuttercontrol.png shuttercontrol.png image/png
    upload [0] shuttercontrol.admin /opt/iobroker/node_modules/iobroker.shuttercontrol/admin/index_m.html index_m.html text/html
    Adapter "shuttercontrol" updated
    host.iobroker Adapter "system.adapter.shuttercontrol.0" is started
    Adapter "sia"            is not installed.
    Adapter "siegenia"       is not installed.
    Adapter "simple-api"     is up to date.
    Adapter "sma-em"         is not installed.
    Adapter "smappee"        is not installed.
    Adapter "smartmeter"     is not installed.
    Adapter "snips"          is not installed.
    Adapter "snmp"           is not installed.
    Update socketio from @3.0.6 to @3.0.7
    NPM version: 6.14.4
    npm install iobroker.socketio@3.0.7 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [3] socketio.admin /opt/iobroker/node_modules/iobroker.socketio/admin/words.js words.js application/javascript
    upload [2] socketio.admin /opt/iobroker/node_modules/iobroker.socketio/admin/socketio.png socketio.png image/png
    upload [1] socketio.admin /opt/iobroker/node_modules/iobroker.socketio/admin/index_m.html index_m.html text/html
    upload [0] socketio.admin /opt/iobroker/node_modules/iobroker.socketio/admin/index.html index.html text/html
    Adapter "socketio" updated
    Adapter "solarlog"       is not installed.
    Adapter "solarviewdatareader" is not installed.
    Adapter "solarwetter"    is not installed.
    Adapter "sonnen"         is not installed.
    Adapter "sonoff"         is up to date.
    Adapter "sonos"          is not installed.
    Adapter "sonus"          is not installed.
    Adapter "sony-bravia"    is not installed.
    Adapter "sourceanalytix" is not installed.
    Adapter "spotify-premium" is not installed.
    Adapter "sql"            is not installed.
    Adapter "squeezebox"     is not installed.
    Adapter "squeezeboxrpc"  is not installed.
    Adapter "starline"       is not installed.
    Adapter "statistics"     is not installed.
    Adapter "stiebel-isg"    is not installed.
    Adapter "stockmarket"    is not installed.
    Adapter "sunnyportal"    is not installed.
    Adapter "swiss-weather-api" is not installed.
    Adapter "synology"       is not installed.
    Adapter "systeminfo"     is not installed.
    Adapter "tado"           is not installed.
    Adapter "tahoma"         is not installed.
    Adapter "tankerkoenig"   is not installed.
    Update telegram from @1.4.3 to @1.5.9
    host.iobroker Adapter "system.adapter.telegram.1" is stopped.
    host.iobroker Adapter "system.adapter.telegram.2" is stopped.
    NPM version: 6.14.4
    npm install iobroker.telegram@1.5.9 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [5] telegram.admin /opt/iobroker/node_modules/iobroker.telegram/admin/words.js words.js application/javascript
    Update "system.adapter.telegram.0"
    Update "system.adapter.telegram.1"
    Update "system.adapter.telegram.2"
    upload [4] telegram.admin /opt/iobroker/node_modules/iobroker.telegram/admin/telegram.png telegram.png image/png
    upload [3] telegram.admin /opt/iobroker/node_modules/iobroker.telegram/admin/index_m.html index_m.html text/html
    upload [2] telegram.admin /opt/iobroker/node_modules/iobroker.telegram/admin/index.html index.html text/html
    upload [1] telegram.admin /opt/iobroker/node_modules/iobroker.telegram/admin/custom_m.html custom_m.html text/html
    upload [0] telegram.admin /opt/iobroker/node_modules/iobroker.telegram/admin/blockly.js blockly.js application/javascript
    Adapter "telegram" updated
    host.iobroker Adapter "system.adapter.telegram.1" is started
    host.iobroker Adapter "system.adapter.telegram.2" is started
    Adapter "terminal"       is up to date.
    Adapter "tesla-motors"   is not installed.
    Adapter "text2command"   is up to date.
    Adapter "tileboard"      is not installed.
    Adapter "tinker"         is not installed.
    Adapter "tino"           is not installed.
    Adapter "tinyrx4"        is not installed.
    Update tr-064 from @0.4.18 to @4.0.1
    NPM version: 6.14.4
    npm install iobroker.tr-064@4.0.1 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [2] tr-064.admin /opt/iobroker/node_modules/iobroker.tr-064/admin/words.js words.js application/javascript
    Update "system.adapter.tr-064.0"
    upload [1] tr-064.admin /opt/iobroker/node_modules/iobroker.tr-064/admin/tr-064.png tr-064.png image/png
    upload [0] tr-064.admin /opt/iobroker/node_modules/iobroker.tr-064/admin/index_m.html index_m.html text/html
    Adapter "tr-064" updated
    Adapter "tradfri"        is not installed.
    Adapter "trashschedule"  is not installed.
    Adapter "tunnelbroker-endpoint-updater" is not installed.
    Adapter "tuya"           is not installed.
    Adapter "tvspielfilm"    is not installed.
    Adapter "unifi"          is not installed.
    Adapter "unifi-protect"  is not installed.
    Adapter "upnp"           is not installed.
    Adapter "vaillant"       is not installed.
    Adapter "valloxmv"       is not installed.
    Adapter "vcard"          is not installed.
    Adapter "vedirect"       is not installed.
    Adapter "velux"          is not installed.
    Adapter "viessmann"      is not installed.
    Adapter "viessmannapi"   is not installed.
    Adapter "virtualpowermeter" is not installed.
    Adapter "vis"            is not installed.
    Adapter "vis-bars"       is not installed.
    Adapter "vis-canvas-gauges" is not installed.
    Adapter "vis-colorpicker" is not installed.
    Adapter "vis-fancyswitch" is not installed.
    Adapter "vis-google-fonts" is not installed.
    Adapter "vis-history"    is not installed.
    Adapter "vis-hqwidgets"  is not installed.
    Adapter "vis-inventwo"   is not installed.
    Adapter "vis-jqui-mfd"   is not installed.
    Adapter "vis-justgage"   is not installed.
    Adapter "vis-keyboard"   is not installed.
    Adapter "vis-lcars"      is not installed.
    Adapter "vis-map"        is not installed.
    Adapter "vis-material"   is not installed.
    Adapter "vis-material-webfont" is not installed.
    Adapter "vis-materialdesign" is not installed.
    Adapter "vis-metro"      is not installed.
    Adapter "vis-players"    is not installed.
    Adapter "vis-plumb"      is not installed.
    Adapter "vis-rgraph"     is not installed.
    Adapter "vis-timeandweather" is not installed.
    Adapter "vis-weather"    is not installed.
    Adapter "vodafone-speedtest" is not installed.
    Adapter "volvo"          is not installed.
    Adapter "vr200"          is not installed.
    Adapter "vw-connect"     is not installed.
    Adapter "weatherunderground" is not installed.
    Update web from @3.0.7 to @3.0.8
    host.iobroker Adapter "system.adapter.web.0" is stopped.
    NPM version: 6.14.4
    npm install iobroker.web@3.0.8 --loglevel error --prefix "/opt/iobroker" (System call)
    upload [3] web.admin /opt/iobroker/node_modules/iobroker.web/admin/words.js words.js application/javascript
    upload [2] web.admin /opt/iobroker/node_modules/iobroker.web/admin/web.png web.png image/png
    upload [1] web.admin /opt/iobroker/node_modules/iobroker.web/admin/index_m.html index_m.html text/html
    upload [0] web.admin /opt/iobroker/node_modules/iobroker.web/admin/index.html index.html text/html
    upload [350] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/vader/images/ui-bg_highlight-hard_55_555555_1x100.png lib/css/themes/jquery-ui/vader/images/ui-bg_highlight-hard_55_555555_1x100.png image/png
    upload [300] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/sunny/images/ui-bg_highlight-soft_100_feeebd_1x100.png lib/css/themes/jquery-ui/sunny/images/ui-bg_highlight-soft_100_feeebd_1x100.png image/png
    upload [250] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/redmond/images/ui-icons_469bdd_256x240.png lib/css/themes/jquery-ui/redmond/images/ui-icons_469bdd_256x240.png image/png
    upload [200] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/hot-sneaks/images/ui-icons_ffeb33_256x240.png lib/css/themes/jquery-ui/hot-sneaks/images/ui-icons_ffeb33_256x240.png image/png
    upload [150] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/eggplant/images/ui-icons_ebccce_256x240.png lib/css/themes/jquery-ui/eggplant/images/ui-icons_ebccce_256x240.png image/png
    upload [100] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/dark-hive/images/ui-bg_highlight-soft_44_444444_1x100.png lib/css/themes/jquery-ui/dark-hive/images/ui-bg_highlight-soft_44_444444_1x100.png image/png
    upload [90] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/custom-light/images/ui-icons_cd0a0a_256x240.png lib/css/themes/jquery-ui/custom-light/images/ui-icons_cd0a0a_256x240.png image/png
    upload [80] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/custom-light/images/ui-bg_glass_55_fbf9ee_1x400.png lib/css/themes/jquery-ui/custom-light/images/ui-bg_glass_55_fbf9ee_1x400.png image/png
    upload [70] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/custom-dark/images/ui-bg_highlight-soft_40_62bfe1_1x100.png lib/css/themes/jquery-ui/custom-dark/images/ui-bg_highlight-soft_40_62bfe1_1x100.png image/png
    upload [60] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/cupertino/images/ui-icons_2e83ff_256x240.png lib/css/themes/jquery-ui/cupertino/images/ui-icons_2e83ff_256x240.png image/png
    upload [50] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/cupertino/images/ui-bg_diagonals-thick_90_eeeeee_40x40.png lib/css/themes/jquery-ui/cupertino/images/ui-bg_diagonals-thick_90_eeeeee_40x40.png image/png
    upload [40] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/blitzer/images/ui-bg_glass_55_fbf8ee_1x400.png lib/css/themes/jquery-ui/blitzer/images/ui-bg_glass_55_fbf8ee_1x400.png image/png
    upload [30] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/black-tie/images/ui-icons_ffcf29_256x240.png lib/css/themes/jquery-ui/black-tie/images/ui-icons_ffcf29_256x240.png image/png
    upload [20] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/black-tie/images/ui-bg_glass_55_1c1c1c_1x400.png lib/css/themes/jquery-ui/black-tie/images/ui-bg_glass_55_1c1c1c_1x400.png image/png
    upload [19] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/black-tie/images/ui-bg_glass_40_111111_1x400.png lib/css/themes/jquery-ui/black-tie/images/ui-bg_glass_40_111111_1x400.png image/png
    upload [18] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/black-tie/images/ui-bg_flat_65_ffffff_40x100.png lib/css/themes/jquery-ui/black-tie/images/ui-bg_flat_65_ffffff_40x100.png image/png
    upload [17] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/themes/jquery-ui/black-tie/images/ui-bg_diagonals-thick_8_333333_40x40.png lib/css/themes/jquery-ui/black-tie/images/ui-bg_diagonals-thick_8_333333_40x40.png image/png
    upload [16] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/style.css lib/css/style.css text/css
    upload [15] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/materialize.css lib/css/materialize.css text/css
    upload [14] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/jqGrid/ui.jqgrid-4.5.4.css lib/css/jqGrid/ui.jqgrid-4.5.4.css text/css
    upload [13] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/jqGrid/ellipsis-xbl.xml lib/css/jqGrid/ellipsis-xbl.xml application/xml
    upload [12] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/iob/selectID.css.map lib/css/iob/selectID.css.map application/json
    upload [11] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/iob/selectID.css lib/css/iob/selectID.css text/css
    upload [10] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/ui.fancytree.min.css lib/css/fancytree/ui.fancytree.min.css text/css
    upload [9] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/ui.fancytree.min-win7.css lib/css/fancytree/ui.fancytree.min-win7.css text/css
    upload [8] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/ui.fancytree.jquery.min.css lib/css/fancytree/ui.fancytree.jquery.min.css text/css
    upload [7] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/state.png lib/css/fancytree/state.png image/png
    upload [6] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/loading.gif lib/css/fancytree/loading.gif image/gif
    upload [5] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/icons.gif lib/css/fancytree/icons.gif image/gif
    upload [4] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/device.png lib/css/fancytree/device.png image/png
    upload [3] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/fancytree/channel.png lib/css/fancytree/channel.png image/png
    upload [2] web /opt/iobroker/node_modules/iobroker.web/www/lib/css/bootstrap.min.css lib/css/bootstrap.min.css text/css
    upload [1] web /opt/iobroker/node_modules/iobroker.web/www/index.html index.html text/html
    upload [0] web /opt/iobroker/node_modules/iobroker.web/www/admin/img/admin.png admin/img/admin.png image/png
    Update "system.adapter.web.0"
    Adapter "web" updated
    host.iobroker Adapter "system.adapter.web.0" is started
    Adapter "web-speedy"     is not installed.
    Adapter "weishaupt-wem"  is not installed.
    Adapter "wiffi-wz"       is not installed.
    Adapter "wifilight"      is up to date.
    Adapter "windows-control" is not installed.
    Adapter "wlanthermo-nano" is not installed.
    Adapter "wled"           is not installed.
    Adapter "wm-bus"         is not installed.
    Adapter "wolf"           is not installed.
    Adapter "worx"           is not installed.
    Adapter "xbox"           is not installed.
    Adapter "xs1"            is not installed.
    Adapter "yahka"          is not installed.
    Adapter "yamaha"         is not installed.
    Adapter "yeelight-2"     is up to date.
    Adapter "youtube"        is not installed.
    Adapter "yr"             is not installed.
    Update zigbee from @1.0.4 to @1.1.1
    host.iobroker Adapter "system.adapter.zigbee.0" is stopped.
    NPM version: 6.14.4
    npm install iobroker.zigbee@1.1.1 --loglevel error --prefix "/opt/iobroker" (System call)
    Update "system.adapter.zigbee.0"
    upload [200] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/index_m.html index_m.html text/html
    upload [150] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/philips_hue_lightbar.png img/philips_hue_lightbar.png image/png
    upload [100] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/lifecontrol_lamp.png img/lifecontrol_lamp.png image/png
    upload [90] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/jiawen.png img/jiawen.png image/png
    upload [80] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/iluminize_511_040.png img/iluminize_511_040.png image/png
    upload [70] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/ikea_led1837r5.PNG img/ikea_led1837r5.PNG image/png
    upload [60] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/hue_go.png img/hue_go.png image/png
    upload [50] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/gledopto_bulb.png img/gledopto_bulb.png image/png
    upload [40] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/ewelink_MS01.png img/ewelink_MS01.png image/png
    upload [30] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/ctrl_neutral1.png img/ctrl_neutral1.png image/png
    upload [20] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/aqara_switch.png img/aqara_switch.png image/png
    upload [19] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/aqara_numan_body_sensor.png img/aqara_numan_body_sensor.png image/png
    upload [18] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/aqara_curtain.png img/aqara_curtain.png image/png
    upload [17] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/aqara_bulb.png img/aqara_bulb.png image/png
    upload [16] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/ZWLD-100.png img/ZWLD-100.png image/png
    upload [15] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/TS0218.png img/TS0218.png image/png
    upload [14] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/TS0215.png img/TS0215.png image/png
    upload [13] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/LTW017.png img/LTW017.png image/png
    upload [12] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/LTC015.png img/LTC015.png image/png
    upload [11] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/LTC014.png img/LTC014.png image/png
    upload [10] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/LCT002.png img/LCT002.png image/png
    upload [9] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/Ikea_fyrtur.png img/Ikea_fyrtur.png image/png
    upload [8] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/FLOALT.panel.WS.png img/FLOALT.panel.WS.png image/png
    upload [7] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/Eurotronic_Spirit_04.png img/Eurotronic_Spirit_04.png image/png
    upload [6] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/DIYRuZ.png img/DIYRuZ.png image/png
    upload [5] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/Bitron_AV201021A.png img/Bitron_AV201021A.png image/png
    upload [4] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/AV2010_32.png img/AV2010_32.png image/png
    upload [3] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/86sw2.png img/86sw2.png image/png
    upload [2] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/86sw1.png img/86sw1.png image/png
    upload [1] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/img/86plug.png img/86plug.png image/png
    upload [0] zigbee.admin /opt/iobroker/node_modules/iobroker.zigbee/admin/admin.js admin.js application/javascript
    Adapter "zigbee" updated
    host.iobroker Adapter "system.adapter.zigbee.0" is started
    Adapter "zoneminder"     is not installed.
    Adapter "zont"           is not installed.
    Adapter "zwave"          is not installed.
    Adapter "zwave2"         is not installed.
    pi@iobroker:/opt/iobroker $ iobroker upgrade self
    Host    "iobroker"       is up to date.
    pi@iobroker:/opt/iobroker $ npm rebuild
    
    > protobufjs@6.8.9 postinstall /opt/iobroker/node_modules/protobufjs
    > node scripts/postinstall
    
    
    > serialport@8.0.8 postinstall /opt/iobroker/node_modules/iobroker.discovery/node_modules/serialport
    > node thank-you.js
    
    Thank you for using serialport!
    If you rely on this package, please consider supporting our open collective:
    > https://opencollective.com/serialport/donate
    
    
    
    > @serialport/bindings@8.0.8 install /opt/iobroker/node_modules/iobroker.discovery/node_modules/@serialport/bindings
    > prebuild-install --tag-prefix @serialport/bindings@ || node-gyp rebuild
    
    prebuild-install WARN install No prebuilt binaries found (target=12.16.3 runtime=node arch=arm libc= platform=linux)
    gyp ERR! clean error
    gyp ERR! stack Error: EACCES: permission denied, rmdir 'build'
    gyp ERR! System Linux 4.19.97-v7l+
    gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
    gyp ERR! cwd /opt/iobroker/node_modules/iobroker.discovery/node_modules/@serialport/bindings
    gyp ERR! node -v v12.16.3
    gyp ERR! node-gyp -v v5.1.0
    gyp ERR! not ok
    npm ERR! code ELIFECYCLE
    npm ERR! errno 1
    npm ERR! @serialport/bindings@8.0.8 install: `prebuild-install --tag-prefix @serialport/bindings@ || node-gyp rebuild`
    npm ERR! Exit status 1
    npm ERR!
    npm ERR! Failed at the @serialport/bindings@8.0.8 install script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/pi/.npm/_logs/2020-05-08T11_11_28_882Z-debug.log
    pi@iobroker:/opt/iobroker $
    
    

  • Most Active

    @maxpd
    Und? Läuft zigbee nun?



  • @Thomas-Braun AAABBBBERRR Zigbeeeee läuft!!!!!!!!!!!!

    ❤ 💟 💓 💗 ♥


  • Most Active

    Schön! Dann kannst du ja jetzt dein skript korrigieren. 😉


  • Most Active

    @maxpd Und stell vielleicht den Verwahrungsor mal wieder auf 'default' zurück. Dann hast du mit upgrade erst wieder zu tun, wenn deine Module in höherer Version da irgendwann auftauchen.


Log in to reply
 

Suggested Topics

  • 1
  • 3
  • 9
  • 3
  • 10
  • 5
  • 28
  • 5

2.2k
Online

32.4k
Users

39.0k
Topics

528.5k
Posts